"use strict";
jQuery.fn.exists = function(){return this.length>0;};


function callContacts(action,params,button) {
    params += "&language=" + language;

    var ajax_request = $.ajax({
        url: contacts_url + "/" + action,
        data: params,
        type: 'post',
        //async: false,
        dataType: 'json',
        timeout: 6000,
        beforeSend: function () {
            if (ajax_request !== null) {
            //    ajax_request.abort();
                busy(false, button);
            } else {
                busy(true, button);
            }
        },
        complete: function (data) {
            ajax_request = (function () {
                return;
            })();
            busy(false, button);
        },
        success: function (data) {
            if (data.code == 1) {

                switch (action) {
                    case "loadContactInfo":
                        $("#contact_number").val( data.details.phone );
                        $("#email_address").val( data.details.email );
                        $("#customer_name").val( data.details.fullname );
                        $("#delivery_address").val( data.details.address );
                        $("#task_lat").val( data.details.addresss_lat );
                        $("#task_lng").val( data.details.addresss_lng );

                        switch (map_provider){
                            case "google":
                                if(!$('.new-covarage-guides').exists()){
                                    moveDeliveryMarkers( data.details.addresss_lat , data.details.addresss_lng );
                                }
                                break;
                            case "mapbox":
                                if($('.new-covarage-guides').exists()){
                                    mapbox_plotMarkerDelivery(data.details.addresss_lat , data.details.addresss_lng );
                                }
                                break;
                        }
                        if($('#tentrega').is(':checked')){
                            contact_id = data.details.contact_id;
                            var parametros = "contact_id="+contact_id;
                            callItems('getPedidosEntrega', parametros);
                        }
                        if($('.new-covarage-guides').exists()){
                             $('#sender_name').val(data.details.representante);
                             var ruc = data.details.ruc;
                             $('#contact_ruc').val(ruc.substr(1));
                             $('#contact_name').val(data.details.fullname);
                             $('#contact_lat').val(data.details.addresss_lat);
                             $('#contact_lng').val(data.details.addresss_lng);
                             $('#contact_phone').val(data.details.phone);
                             $('#contact_address').val(data.details.address);
                             $('#codigo_cliente').val(data.details.codigo_cliente);
                             var cliente_credito = parseInt(data.details.credito);
                             if(cliente_credito==1){
                                 $('#guide_type').val('Crédito');
                             }else{
                                 $('#guide_type').val('Al Contado');
                             }
                             //establecer direccion
                             if( data.details.addresss_lat!='' && data.details.addresss_lat!='null' && data.details.addresss_lat!=null){
                                 setAddress('guide_sender', data.details.address, data.details.addresss_lat, data.details.addresss_lng);
                                 setAddress('guide', '', data.details.addresss_lat, data.details.addresss_lng)
                             }
                             var tiene_whastapp = data.details.tiene_whastapp;
                             if(tiene_whastapp==1){
                                $('#sender_whatsapp').prop('checked', true);
                             }else{
                                $('#sender_whatsapp').prop('checked', false);
                             }

                        }
                        break;
                    case "loadContactInfo2":
                        $("#dropoff_contact_number").val( data.details.phone );
                        $("#dropoff_contact_name").val( data.details.fullname );
                        $("#drop_address").val( data.details.address );
                        $("#dropoff_task_lat").val( data.details.addresss_lat );
                        $("#dropoff_task_lng").val( data.details.addresss_lng );

                        switch (map_provider){
                            case "google":
                                movePickupMarkers( data.details.addresss_lat, data.details.addresss_lng );
                                //setMarkeyDropOffMap( $("#drop_address").val() );
                                break;

                            case "mapbox":
                                mapbox_plotMarkerPickup(data.details.addresss_lat, data.details.addresss_lng );
                                break;
                        }

                        break;
                    case "getDeudasTotalProvBar":
                        datos = data.details;
                        var arrprov = [];
                        var arrdeuda = [];
                        var arrpagado = [];
                        var arrfacturas = [];
                        for(var i=0;i<datos.length;i++){
                            arrprov.push(datos[i].provincia);
                            total_deuda = parseFloat(datos[i].total_deuda);
                            total_pagado = parseFloat(datos[i].total_pagado);
                            total_pagado= total_pagado.toFixed(2);
                            total_pagado = parseFloat(total_pagado);
                            arrpagado.push(total_pagado);
                            total_sindeuda = total_deuda - total_pagado;
                            total_sindeuda= total_sindeuda.toFixed(2);
                            total_sindeuda = parseFloat(total_sindeuda);
                            arrdeuda.push(total_sindeuda);
                            total_facturas = parseInt(datos[i].total_facturas);
                            arrfacturas.push(total_facturas);
                        }

                        Highcharts.chart('cartera_barprov', {
                            chart: {
                                zoomType: 'xy'
                            },
                            plotOptions: {
                                column: {
                                    colorByPoint: true
                                }
                            },
                            colors: colores,
                            title: {
                                text: 'Deuda Total por Provincias'
                            },
                            credits: {
                                enabled: false
                            },
                            subtitle: {
                                text: 'Fuente: API Seller Manager'
                            },
                            xAxis: [{
                                categories: arrprov,
                                crosshair: true
                            }],
                            yAxis: [{ // Primary yAxis
                                tickInterval: 500,
                                labels: {
                                    format: '{value} ',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                title: {
                                    text: 'Facturas Total',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                }
                            }, { // Secondary yAxis
                                gridLineWidth: 0,
                                title: {
                                    text: 'Monto de la Deuda',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                labels: {
                                    format: '$ {value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                }

                            },{ // Tertiary yAxis
                                gridLineWidth: 0,
                                title: {
                                    text: 'Total Abonado',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                labels: {
                                    format: '$ {value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                opposite: true
                            }],
                            tooltip: {
                                shared: true
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'left',
                                x: 120,
                                verticalAlign: 'top',
                                y: 100,
                                floating: true,
                                backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                            },
                            series: [{
                                name: 'Deuda',
                                type: 'column',
                                yAxis: 1,
                                data: arrdeuda,
                                tooltip: {
                                    valueSuffix: ' $'
                                }

                            }, {
                                name: 'Total Abonado',
                                type: 'spline',
                                yAxis: 2,
                                data: arrpagado,
                                marker: {
                                    enabled: false
                                },
                                dashStyle: 'shortdot',
                                tooltip: {
                                    valueSuffix: ' '
                                }

                            }, {
                                name: 'Facturas',
                                type: 'spline',
                                data: arrfacturas,
                                tooltip: {
                                    valueSuffix: ''
                                }
                            }]
                        });
                        getCarteraProv('Provincia');
                        break;
                    case "getCarteraMesChart":
                        datos = data.details;
                        var arrmeses = [];
                        arrdeuda = [];
                        arrpagado = [];
                        arrfacturas = [];
                        for(i=0;i<datos.length;i++){
                            arrmeses.push(datos[i].fecha_emision);
                            total_deuda = parseFloat(datos[i].total_deuda);
                            total_pagado = parseFloat(datos[i].total_pagado_gen);
                            total_pagado= total_pagado.toFixed(2);
                            total_pagado = parseFloat(total_pagado);
                            arrpagado.push(total_pagado);
                            total_sindeuda = total_deuda - total_pagado;
                            total_sindeuda= total_sindeuda.toFixed(2);
                            total_sindeuda = parseFloat(total_sindeuda);
                            arrdeuda.push(total_sindeuda);
                            total_facturas = parseInt(datos[i].total_facturas);
                            arrfacturas.push(total_facturas);
                        }
                        Highcharts.chart('cartera_barmes', {
                            chart: {
                                zoomType: 'xy'
                            },
                            plotOptions: {
                                column: {
                                    colorByPoint: true
                                }
                            },
                            colors: colores,
                            title: {
                                text: 'Deuda Total por Mes'
                            },
                            credits: {
                                enabled: false
                            },
                            subtitle: {
                                text: 'Fuente: API Seller Manager'
                            },
                            xAxis: [{
                                categories: arrmeses,
                                crosshair: true
                            }],
                            yAxis: [{ // Primary yAxis
                                tickInterval: 500,
                                labels: {
                                    format: '{value} ',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                title: {
                                    text: 'Facturas Total',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                }
                            }, { // Secondary yAxis
                                gridLineWidth: 0,
                                title: {
                                    text: 'Monto de la Deuda',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                labels: {
                                    format: '$ {value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                }

                            },{ // Tertiary yAxis
                                gridLineWidth: 0,
                                title: {
                                    text: 'Total Abonado',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                labels: {
                                    format: '$ {value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                opposite: true
                            }],
                            tooltip: {
                                shared: true
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'left',
                                x: 120,
                                verticalAlign: 'top',
                                y: 100,
                                floating: true,
                                backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                            },
                            series: [{
                                name: 'Deuda',
                                type: 'column',
                                yAxis: 1,
                                data: arrdeuda,
                                tooltip: {
                                    valueSuffix: ' $'
                                }

                            }, {
                                name: 'Total Abonado',
                                type: 'spline',
                                yAxis: 2,
                                data: arrpagado,
                                marker: {
                                    enabled: false
                                },
                                dashStyle: 'shortdot',
                                tooltip: {
                                    valueSuffix: ' '
                                }

                            }, {
                                name: 'Facturas',
                                type: 'spline',
                                data: arrfacturas,
                                tooltip: {
                                    valueSuffix: ''
                                }
                            }]
                        });
                        getCarteraProvBar();
                        break;
                    case "loadGaleriaprofile":
                        if(data.code==1) {
                            var datos = data.details;
                            var panel_foto=' <div class="element-box-content"><div class="gallery-grid">';
                            for(var i=0; i<datos.length; i++){
                                var photo_uploaded = datos[i].photo_name;
                                var cliente = datos[i].customer_name;
                                var fecha = datos[i].date_created;
                                //
                                var firstletter = photo_uploaded.substr(0,4);
                                if(firstletter=='file'){
                                    continue;
                                }
                                /*
                                <div class="profile-tile profile-tile-inlined">
                                    <a class="profile-tile-box faded" href="users_profile_small.html">
                                       <div class="pt-new-icon"><i class="os-icon os-icon-plus"></i></div>
                                           <div class="pt-user-name">New
                                               <br> Account</div>
                                    </a>
                                </div>
                                 */
                                ///////////////////////
                                panel_foto+='<div class="gallery-col card" style="cursor: pointer;">';
                                panel_foto+=' <h6 class="element-header">'+cliente+'</h6>';
                                panel_foto+='<p class="badge badge-primary-inverted">'+fecha+'</p>';
                                panel_foto+='<article class="gallery-item " data-fancybox="images" href="../upload/photo/'+photo_uploaded+'">';
                                panel_foto+='<img class="gallery-picture" src="../upload/photo/'+photo_uploaded+'" alt="" height="'+cliente+'">';
                                panel_foto+='<div class="gallery-hover-layout">';
                                panel_foto+='<div class="gallery-hover-layout-in">';
                                panel_foto+='<p class="gallery-item-title">Cliente</p>';
                                panel_foto+='<p>'+cliente+'</p>';
                                panel_foto+='<p>'+fecha+'</p>';
                                panel_foto+='</div>';
                                panel_foto+='</div>';
                                panel_foto+='</article>';
                                panel_foto+='</div>';
                                ////////////////
                            }
                            panel_foto+='</div></div>';
                            $('#galery_body').html(panel_foto);

                        }
                        break;
                    case "getDeudasTotal":
                        datos = data.details;
                        var arrdeudas = [];
                        var arrdeudast = [];
                        var arrclientes = [];
                        var arrclientest = [];
                        var  arrpagado = [];
                        var deudas_totales=0;

                        var body_table = '';
                        for(var i=0;i<datos.length;i++){

                            var deuda_parcial = parseFloat(datos[i].total_deuda);
                            var pagado = parseFloat(datos[i].total_pagado);

                            var deuda = parseFloat(deuda_parcial) - parseFloat(pagado);
                            deuda = deuda.toFixed(2);
                            deuda = parseFloat(deuda);
                            var total_facturas = datos[i].total_facturas;
                            cliente = datos[i].fullname;
                            ruc = datos[i].ruc;
                            arrdeudas.push(deuda);
                            if(i<20){
                                arrdeudast.push(deuda);
                                arrclientest.push(cliente);
                                arrpagado.push(pagado);
                            }
                            arrclientes.push(cliente);
                             deudas_totales= parseFloat(deudas_totales) + parseFloat(deuda);
                            body_table += '<tr><td>'+cliente+'</td><td>'+deuda+'</td></tr>';
                        }
                        deudas_totales= deudas_totales.toFixed(2);
                        $('#body_deudas_totales').html(body_table);
                        $('#foot_deuda_totales').html('<tr> <td class="bold" style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;">Total Deuda</td>  <td class="bold" style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;">'+deudas_totales+'</td>  </tr>');

                      /*  Highcharts.chart('cartera_bar', {
                            chart: {
                                type: 'bar'
                            },

                            title: {
                                text: '50 Clientes con más deuda'
                            },
                            subtitle: {
                                text: 'Fuente: <a target="_blank" href="https://sellermanager.co">API de Seller Manager</a>'
                            },
                            xAxis: {
                                categories: arrclientes,
                                title: {
                                    text: null
                                }
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: 'Deuda ($)',
                                    align: 'high'
                                },
                                labels: {
                                    overflow: 'justify'
                                }
                            },
                            tooltip: {
                                valueSuffix: ' $'
                            },
                            plotOptions: {
                                bar: {
                                    dataLabels: {
                                        enabled: true
                                    },
                                    colorByPoint: true
                                },
                            },
                            colors: colores,
                            legend: {
                                layout: 'vertical',
                                align: 'right',
                                verticalAlign: 'top',
                                x: -40,
                                y: 80,
                                floating: true,
                                borderWidth: 1,
                                backgroundColor: ((Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'),
                                shadow: true
                            },
                            credits: {
                                enabled: false
                            },
                            series:  [{
                                name: 'Deuda Total',
                                data: arrdeudas
                            }]
                        });*/
                        Highcharts.chart('cartera_area', {
                            chart: {
                                zoomType: 'xy'
                            },
                            title: {
                                text: 'Clientes con más deudas VS Total Abonado'
                            },
                            subtitle: {
                                text: 'Fuente: <a target="_blank" href="https://sellermanager.co">API de Seller Manager</a>'
                            },
                            plotOptions: {
                                column: {
                                    colorByPoint: true
                                }
                            },
                            colors: colores,
                            xAxis: [{
                                categories: arrclientest,
                                crosshair: true
                            }],
                            yAxis: [{ // Primary yAxis
                                labels: {
                                    format: '${value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                title: {
                                    text: 'Total Abonado',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                }
                            }, { // Secondary yAxis
                                title: {
                                    text: 'Deuda',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                labels: {
                                    format: '${value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                opposite: true
                            }],
                            tooltip: {
                                shared: true
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'left',
                                x: 120,
                                verticalAlign: 'top',
                                y: 100,
                                floating: true,
                                backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                            },
                            series: [{
                                name: 'Deuda',
                                type: 'column',
                                yAxis: 1,
                                data: arrdeudast,
                                tooltip: {
                                    valueSuffix: ' $'
                                }

                            }, {
                                name: 'Total Abonado',
                                type: 'spline',
                                data: arrpagado,
                                tooltip: {
                                    valueSuffix: ' $'
                                }
                            }]
                        });
                        cargar_porciento_cobranza();
                        $('.nav-tabs a[href="#cartera_totales_area"]').tab('show');
                        break;
                    case "getDeudasPorciento":
                        datos = data.details;

                        for(i=0;i<datos.length;i++){
                            total_deuda = parseFloat(datos[i].total_deuda);
                            var total_pagado = parseFloat(datos[i].total_pagado);
                            var total_sindeuda = total_deuda - total_pagado;
                        }
                        Highcharts.chart('cartera_pie', {
                            chart: {
                                type: 'pie',

                                options3d: {
                                    enabled: true,
                                    alpha: 45,
                                    beta: 0
                                }
                            },
                            credits: {
                                enabled: false
                            },
                            title: {
                                text: 'Porciento de Cobranza'
                            },
                            tooltip: {
                                pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                            },
                            plotOptions: {
                                pie: {
                                    colors: [
                                        '#3ac0bd',
                                        '#ffc500',
                                        '#5f81a2'
                                    ],
                                    allowPointSelect: true,
                                    cursor: 'pointer',
                                    depth: 35,
                                    dataLabels: {
                                        enabled: false,
                                        format: '{point.name}'
                                    }
                                }
                            },
                            series: [{
                                type: 'pie',
                                name: 'Porciento',

                                data: [
                                    ['Deuda', total_sindeuda, '#cd000d'],
                                    ['Abonado', total_pagado, '#0ac700']

                                ]
                            }]
                        });
                        Highcharts.chart('cartera_gauge', {
                            chart: {
                                type: 'column'
                            },
                            title: {
                                text: 'Total Abonado VS Total Deuda'
                            },
                            subtitle: {
                                text: 'Fuente: API Seller Manager'
                            },
                            credits: {
                                enabled: false
                            },
                            xAxis: {
                                categories: [
                                    'Deuda Total', 'Total Abonado'
                                ],
                                crosshair: true
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: 'Deuda ($)'
                                }
                            },
                            tooltip: {
                                headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                                pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                                    '<td style="padding:0"><b>{point.y:.1f} </b></td></tr>',
                                footerFormat: '</table>',
                                shared: true,
                                useHTML: true
                            },
                            plotOptions: {
                                column: {
                                    pointPadding: 0.2,
                                    borderWidth: 0,
                                    colorByPoint: false
                                }
                            },
                            colors: [
                                '#3ac0bd',
                                '#ffc500',
                                '#5f81a2'
                            ],
                            series: [{
                                name: 'Deuda',
                                data: [total_sindeuda]
                            }, {
                                name: 'Abonado',
                                data: [total_pagado]
                            }, {
                                name: 'Total',
                                data: [total_deuda]
                            }]
                        });
                        getCarteraTable();
                        break;
                    case "loadContactProfile":
                        datos = data.details;
                        if($('#profile_contact_id').exists()){
                            var address = datos[0].address;
                            var address_lat = datos[0].addresss_lat;
                            var address_lng = datos[0].addresss_lng;
                            var geoverificado = datos[0].geoverificado;
                            var status = datos[0].status;
                            var fullname = datos[0].fullname;
                            var category = datos[0].category;
                            var telefono = datos[0].phone;
                            var email = datos[0].email;
                            ruc = datos[0].ruc;
                            var credito = datos[0].credito;
                            var cupo = datos[0].cupo;
                            var balance = datos[0].balance;
                            var forma_pago = datos[0].forma_pago;
                            var photo = datos[0].photo;
                            var photo_url = "";
                            if (photo === '' || photo === null) {
                                photo_url = "../assets/images/store.png";
                            } else {
                                photo_url = "../upload/photo/" + photo;
                            }
                            var total_ventas = parseFloat(datos[0].total_ventas);
                            var total_deuda = parseFloat(datos[0].total_deuda);
                            var total_cobros = parseFloat(datos[0].total_cobros);
                            $('.total_ventas .value').html('$<span class="text-primary">' + total_ventas.toFixed(2) + '</span>');
                            $('.total_deuda .value').html('$<span class="text-danger">' + total_deuda.toFixed(2) + '</span>');
                            $('.total_cobros .value').html('$<span class="text-success">' + total_cobros.toFixed(2) + '</span>');
                            $('.total_pedidos').html('$ ' + total_ventas.toFixed(2));
                            $('.total_cartera').html('$ ' + total_deuda.toFixed(2));
                            $('.total_cobranza').html('$ ' + total_cobros.toFixed(2));

                            if (address_lat == null || address_lat == '' || address_lng == null || address_lng == '') {
                                $('.geoverificado').show();
                            } else {
                                var info_html = '';
                                info_html += "<div class=\"map-info-window\">";
                                //      info_html+="<h4>Estaso: " + jslang.status+"</h4>";
                                info_html += "<h5>Mombre: " + fullname + "</h5>";
                                info_html += "<p>" + address + "</p>";
                                info_html += "<p class=\"inline green-button small rounded\">" + status + "</p>";
                                //  info_html+="<p class=\"inline orange-button-small rounded\">"+estado+"</p>";
                                //  info_html+="<a href=\"javascript:;\"  class=\"top10 task-details\" data-id=\""+task_id+"\"  >"+jslang.details+"</a>";
                                info_html += "</div>";
                                var optionss = mapbox_getIcon('delivery', 'successful');
                                var latlng = [address_lat, address_lng];
                                var contact_marker = L.marker(latlng, {icon: L.BeautifyIcon.icon(optionss)}).addTo(mapbox);
                                contact_marker.bindPopup(info_html);
                                mapbox.addLayer(contact_marker);
                                mapbox_setMapCenter(address_lat, address_lng);
                            }
                            //datos
                            $('.nombre').text(fullname);
                            $('.telefono').text(telefono);
                            $('.email').text(email);
                            $('.ruc').text(ruc);
                            $('.categoria').text(category);
                            $('.credito').text(credito);
                            $('.cupo').text(cupo);
                            $('.balance').text(balance);
                            $('.forma_pago').text(forma_pago);
                            $('.direccion').text(address);
                            $('.imagen_portada').html('<img  style="width: 100%; height: auto;" src="' + photo_url + '">');
                            //
                            var contact_id = datos[0].contact_id;
                            load_pedidos_cliente('resumen');
                        }else{
                            var status = datos[0].status;
                            var address = datos[0].address;
                            var fullname = datos[0].fullname;
                            var cat_id = datos[0].category;
                            var phonecliente = datos[0].phone;
                            var emailcliente = datos[0].email;
                            var ruc = datos[0].ruc;
                            var credito = datos[0].credito;
                            var cupocliente = datos[0].cupo;
                            var balancecliente = datos[0].balance;
                            var forma_pago = datos[0].forma_pago;
                            if(forma_pago=='' || forma_pago==null){
                                forma_pago ='CON';
                            }
                            var photo = datos[0].photo;
                            $('#cat_id').val(cat_id);
                            $('#cupocliente').val(cupocliente);
                            $('#balancecliente').val(balancecliente);
                            $('#descuentocliente').val(0);
                            $('#phonecliente').val(phonecliente);
                            $('#emailcliente').val(emailcliente);
                            $('#representante').val(fullname);
                            var vendedor = $('#driver_id :selected').text();
                            $('.ecc-name').html(vendedor);
                            $('.cupocliente').html(cupocliente);
                            $('.balance').html(balancecliente);
                            $('.contact_address').html(address+' <br> Teléfono: '+phonecliente);
                            $('.forma_pago').html(forma_pago);
                            $('#forma_pago_enviar').val(forma_pago);
                            $('.order-main-info strong').html(fullname);
                            $('#contact_data').show();
                        }

                        break;
                    case "getContactUserInfo":
                        datos = data.details;
                        $("#id").val(datos[0].id);
                        $("#fullname").val(datos[0].fullname);
                        $("#phone").val(datos[0].phone);
                        $("#email").val(datos[0].email);
                        $("#status").val(datos[0].status);
                        break;
                    case "getContactInfo":
                        $("#fullname").val(data.details.fullname);
                        $("#email").val(data.details.email);
                        $("#phone").val(data.details.phone);
                        $("#address").val(data.details.address);
                        $("#addresss_lat").val(data.details.addresss_lat);
                        $("#addresss_lng").val(data.details.addresss_lng);
                        $("#status").val(data.details.status);
                        $("#track_driver_id").val(data.details.driver_id);
                        $("#pricelist").val(data.details.idlistaprecios);
                        $("#cupo").val(data.details.cupo);
                        $("#balance").val(data.details.balance);
                        $("#descuento").val(data.details.descuento);
                        $("#sector").val(data.details.sector);
                        $("#referencia").val(data.details.referencia);
                        $("#direccion_entrega").val(data.details.direccion_entrega);
                        $("#antiguedad").val(data.details.antiguedad);
                        $("#ventascompetencia").val(data.details.ventas_competencia);
                        $("#proveedores").val(data.details.proveedores);
                        $("#dropside").val(data.details.dropside);
                        $("#observaciones").val(data.details.observaciones);
                        $("#canal").val(data.details.canal);
                        $("#subcanal").val(data.details.subcanal);
                        $("#tipologia").val(data.details.tipologia);
                        $("#tipo_a").val(data.details.tipo_a);
                        $("#distribuidor_asignado").val(data.details.distribuidor_asignado);
                        var whastapp = data.details.tiene_whastapp;

                        if(whastapp==1){
                            document.getElementById('whatsapp').checked=true;
                            //$("#whastapp").prop('checked', true);
                        }else{
                            document.getElementById('whatsapp').checked=false;
                            //$("#whastapp").prop('checked', false);
                        }
                        var whatsapp_sub = data.details.suscrito_whatsapp;
                        if(whatsapp_sub==1){
                            document.getElementById('whatsapp_sub').checked=true;
                            //	$("#whatsapp_sub").prop('checked', true);
                        }else{
                            document.getElementById('whatsapp_sub').checked=false;
                            //$("#whatsapp_sub").prop('checked', false);
                        }
                        //delivery
                        var delivery_local = data.details.delivery_local;
                        if(delivery_local==1){
                            $('#entrega_local').prop('checked', true);
                        }else{
                            $('#entrega_local').prop('checked', false);
                        }
                        var delivery_nacional = data.details.delivery_nacional;
                        if(delivery_nacional==1){
                            $('#entrega_nacional').prop('checked', true);
                        }else{
                            $('#entrega_nacional').prop('checked', false);
                        }
                        var delivery_sobres = data.details.delivery_sobres;
                        if(delivery_sobres==1){
                            $('#envio_sobres').prop('checked', true);
                        }else{
                            $('#envio_sobres').prop('checked', false);
                        }
                        var delivery_paquetes = data.details.delivery_paquetes;
                        if(delivery_paquetes==1){
                            $('#envio_paquetes').prop('checked', true);
                        }else{
                            $('#envio_paquetes').prop('checked', false);
                        }
                        var delivery_valijas = data.details.delivery_valijas;
                        if(delivery_valijas==1){
                            $('#envio_valija').prop('checked', true);
                        }else{
                            $('#envio_valija').prop('checked', false);
                        }
                        var delivery_lunes = data.details.delivery_lunes;
                        if(delivery_lunes==1){
                            $('#envio_lunes').prop('checked', true);
                        }else{
                            $('#envio_lunes').prop('checked', false);
                        }
                        var delivery_martes = data.details.delivery_martes;
                        if(delivery_martes==1){
                            $('#envio_martes').prop('checked', true);
                        }else{
                            $('#envio_martes').prop('checked', false);
                        }
                        var delivery_miercoles = data.details.delivery_miercoles;
                        if(delivery_miercoles==1){
                            $('#envio_miercoles').prop('checked', true);
                        }else{
                            $('#envio_miercoles').prop('checked', false);
                        }

                        var delivery_jueves = data.details.delivery_jueves;
                        if(delivery_jueves==1){
                            $('#envio_jueves').prop('checked', true);
                        }else{
                            $('#envio_jueves').prop('checked', false);
                        }
                        var delivery_viernes = data.details.delivery_viernes;
                        if(delivery_viernes==1){
                            $('#envio_viernes').prop('checked', true);
                        }else{
                            $('#envio_viernes').prop('checked', false);
                        }
                        var delivery_sabado = data.details.delivery_sabado;
                        if(delivery_sabado==1){
                            $('#envio_sabado').prop('checked', true);
                        }else{
                            $('#envio_sabado').prop('checked', false);
                        }

                        var delivery_horario = data.details.delivery_horario;
                        if(delivery_horario==1){
                            $('#horario_sugerido').prop('checked', true);
                        }else{
                            $('#horario_sugerido').prop('checked', false);
                        }
                        var delivery_hora_inicio = data.details.delivery_hora_inicio;
                        $('#delivery_hora_inicio').val(delivery_hora_inicio);
                        var delivery_hora_fin = data.details.delivery_hora_fin;
                        $('#delivery_hora_fin').val(delivery_hora_fin);
                        var delivery_contactar = data.details.delivery_contactar;
                        $('#contacto_entrega').val(delivery_contactar);

                        var delivery_ciudad_kg = data.details.delivery_ciudad_kg;
                        $('#delivery_ciudad_kg').val(delivery_ciudad_kg);
                        var delivery_ciudad_precio = data.details.delivery_ciudad_precio;
                        $('#delivery_ciudad_precio').val(delivery_ciudad_precio);
                        var delivery_ciudad_adicional = data.details.delivery_ciudad_adicional;
                        $('#delivery_ciudad_adicional').val(delivery_ciudad_adicional);
                        var delivery_periferico_kg = data.details.delivery_periferico_kg;
                        $('#delivery_periferico_kg').val(delivery_periferico_kg);
                        var delivery_periferico_precio = data.details.delivery_periferico_precio;
                        $('#delivery_periferico_precio').val(delivery_periferico_precio);
                        var delivery_periferico_adicional = data.details.delivery_periferico_adicional;
                        $('#delivery_periferico_adicional').val(delivery_periferico_adicional);
                        var delivery_secundario_kg = data.details.delivery_secundario_kg;
                        $('#delivery_secundario_kg').val(delivery_secundario_kg);
                        var delivery_secundario_precio = data.details.delivery_secundario_precio;
                        $('#delivery_secundario_precio').val(delivery_secundario_precio);
                        var delivery_secundario_adicional = data.details.delivery_secundario_adicional;
                        $('#delivery_secundario_adicional').val(delivery_secundario_adicional);

                        var deliverybox_ciudad_guias = data.details.deliverybox_ciudad_guias;
                        $('#deliverybox_ciudad_guias').val(deliverybox_ciudad_guias);
                        var deliverybox_ciudad_precio = data.details.deliverybox_ciudad_precio;
                        $('#deliverybox_ciudad_precio').val(deliverybox_ciudad_precio);

                        var deliverybox_periferico_guias = data.details.deliverybox_periferico_guias;
                        $('#deliverybox_periferico_guias').val(deliverybox_periferico_guias);
                        var deliverybox_periferico_precio = data.details.deliverybox_periferico_precio;
                        $('#deliverybox_periferico_precio').val(deliverybox_periferico_precio);

                        var deliverybox_secundario_guias = data.details.deliverybox_secundario_guias;
                        $('#deliverybox_secundario_guias').val(deliverybox_secundario_guias);
                        var deliverybox_secundario_precio = data.details.deliverybox_secundario_precio;
                        $('#deliverybox_secundario_precio').val(deliverybox_secundario_precio);

                        var retorno_adjunto = data.details.retorno_adjunto;
                        if(retorno_adjunto==1){
                            $('#retorno_adjunto').prop('checked', true);
                        }else{
                            $('#retorno_adjunto').prop('checked', false);
                        }
                        $('#retorno_adjunto_precio').val(data.details.retorno_adjunto_precio);
                        $('#porciento_seguro').val(data.details.porciento_seguro);
                        //fin delivery
                        $('#provzonacliente').val(data.details.codigoprov).trigger('change');
                        setTimeout(function() {
                            $("#cantonzonacliente").val(data.details.canton).trigger('change');
                            setTimeout(function () {

                                $("#category").val(data.details.idcategory).trigger('change');
                                setTimeout(function () {
                                    $("#subcategory").val(data.details.subcategory);

                                    $("#zonaclientes").val(data.details.codigo_ubic).trigger("chosen:updated");
                                }, 500);
                            },1000);
                        }, 500);
                        var ubicacion = data.details.ubicacion;
                        if(ubicacion==1){
                            $('#viaprincipal').prop('checked', true);
                        }else{
                            $('#viasecundaria').prop('checked', true);
                        }
                        var trafico = data.details.trafico;
                        if(trafico=='1-100'){
                            $('#menoscien').prop('checked', true);
                        }else if(trafico=='100-más'){
                            $('#mascien').prop('checked', true);
                        }else{
                            $('#noaplica').prop('checked', true);
                        }
                        var gironegocio = data.details.gironegocio;
                        if(gironegocio=='Consumo/Delivery'){
                            $('#consumo').prop('checked', true);
                        }else if(gironegocio=='Consumo Local'){
                            $('#local').prop('checked', true);
                        }else{
                            $('#produccion').prop('checked', true);
                        }
                        var horarioentrega = data.details.horarioentrega;
                        if(horarioentrega=='Mañana'){
                            $('#matutino').prop('checked', true);
                        }else{
                            $('#vespertino').prop('checked', true);
                        }
                        var tipolocal = data.details.tipolocal;
                        if(tipolocal==1){
                            $('#propio').prop('checked', true);
                        }else{
                            $('#alquilado').prop('checked', true);
                        }
                        credito = data.details.credito;
                        if(credito==1){
                            $('#credito').prop('checked', true);
                        }else{
                            $('#credito').prop('checked', false);
                        }
                        var elruc = data.details.ruc;
                        var ruc = elruc.substr(1);
                        var tipodoc = elruc.substr(0,1);
                        $("#ruc").val(ruc);
                        $("#tipodoc").val(tipodoc);
                        $("#representante").val(data.details.representante);
                        $('#provzona').val(data.details.codigoprov).trigger('change');
                        if($('#contact_list_agenda').exists()){
                            var frequentlist ='<div class="fc-event visitacliente" data-event="primary" data-id="'+data.details.contact_id+'" data-name="'+data.details.fullname+'" data-email="'+data.details.email+'" data-phone="'+data.details.phone+'" data-address="'+data.details.address+'" data-addresss_lat="'+data.details.addresss_lat+'" data-addresss_lng="'+data.details.addresss_lng+'" data-status="'+data.details.status+'" data-driver_id="'+data.details.driver_id+'" data-driver_name="'+data.details.driver_name+'" data-calcolor="'+data.details.calcolor+'" data-team_id="'+data.details.team_id+'">';
                            frequentlist += '<div class="fc-event-desc"><b>'+data.details.contact_id+' - </b>'+data.details.fullname+'</div></div>';
                            $('#temp_customer').html(frequentlist);
                            init_events();
                            //get las visits
                            callAjax("getContactVisits", "contact_id="+data.details.contact_id ) ;
                            return false;
                        }
                        setTimeout(function() {
                            $("#cantonzona").val(data.details.canton).trigger('change');
                            setTimeout(function () {
                                $("#zona").val(data.details.idzona);
                                $("#category").val(data.details.idcategory).trigger('change');
                                setTimeout(function () {
                                    $("#subcategory").val(data.details.subcategory);
                                }, 500);
                            },500);
                        }, 500);
                        switch (map_provider){
                            case "google":
                                setMarkerEdit( data.details.addresss_lat , data.details.addresss_lng ,'addresss_lat','addresss_lng' );
                                break;

                            case "mapbox":
                                mapbox_plotMarkerContact(data.details.addresss_lat , data.details.addresss_lng);
                                break;
                        }
                        break;
                    case "getDistribuidorInfo":
                        $("#fullname").val(data.details.fullname);
                        $("#email").val(data.details.email);
                        $("#phone").val(data.details.phone);
                        $("#address").val(data.details.address);
                        $("#addresss_lat").val(data.details.addresss_lat);
                        $("#addresss_lng").val(data.details.addresss_lng);
                        $("#status").val(data.details.status);
                        $("#track_driver_id").val(data.details.driver_id);
                        $("#pricelist").val(data.details.idlistaprecios);
                        $("#cupo").val(data.details.cupo);
                        $("#balance").val(data.details.balance);
                        $("#descuento").val(data.details.descuento);
                        $("#sector").val(data.details.sector);
                        $("#referencia").val(data.details.referencia);

                        var whastapp = data.details.tiene_whastapp;

                        if(whastapp==1){
                            document.getElementById('whatsapp').checked=true;
                        }else{
                            document.getElementById('whatsapp').checked=false;
                        }
                        var whatsapp_sub = data.details.suscrito_whatsapp;
                        if(whatsapp_sub==1){
                            document.getElementById('whatsapp_sub').checked=true;
                        }else{
                            document.getElementById('whatsapp_sub').checked=false;
                        }
                        var ubicacion = data.details.ubicacion;
                        if(ubicacion==1){
                            $('#viaprincipal').prop('checked', true);
                        }else{
                            $('#viasecundaria').prop('checked', true);
                        }
                        var trafico = data.details.trafico;
                        if(trafico=='1-100'){
                            $('#menoscien').prop('checked', true);
                        }else if(trafico=='100-más'){
                            $('#mascien').prop('checked', true);
                        }else{
                            $('#noaplica').prop('checked', true);
                        }
                        var gironegocio = data.details.gironegocio;
                        if(gironegocio=='Consumo/Delivery'){
                            $('#consumo').prop('checked', true);
                        }else if(gironegocio=='Consumo Local'){
                            $('#local').prop('checked', true);
                        }else{
                            $('#produccion').prop('checked', true);
                        }
                        var horarioentrega = data.details.horarioentrega;
                        if(horarioentrega=='Mañana'){
                            $('#matutino').prop('checked', true);
                        }else{
                            $('#vespertino').prop('checked', true);
                        }
                        var tipolocal = data.details.tipolocal;
                        if(tipolocal==1){
                            $('#propio').prop('checked', true);
                        }else{
                            $('#alquilado').prop('checked', true);
                        }
                        credito = data.details.credito;
                        if(credito==1){
                            $('#credito').prop('checked', true);
                        }else{
                            $('#credito').prop('checked', false);
                        }
                        var elruc = data.details.ruc;
                        var ruc = elruc.substr(1);
                        var tipodoc = elruc.substr(0,1);
                        $("#ruc").val(ruc);
                        $("#tipodoc").val(tipodoc);
                        $("#representante").val(data.details.representante);
                        $('#provzona').val(data.details.codigoprov).trigger('change');
                        if($('#contact_list_agenda').exists()){
                            var frequentlist ='<div class="fc-event visitacliente" data-event="primary" data-id="'+data.details.contact_id+'" data-name="'+data.details.fullname+'" data-email="'+data.details.email+'" data-phone="'+data.details.phone+'" data-address="'+data.details.address+'" data-addresss_lat="'+data.details.addresss_lat+'" data-addresss_lng="'+data.details.addresss_lng+'" data-status="'+data.details.status+'" data-driver_id="'+data.details.driver_id+'" data-driver_name="'+data.details.driver_name+'" data-calcolor="'+data.details.calcolor+'" data-team_id="'+data.details.team_id+'">';
                            frequentlist += '<div class="fc-event-desc"><b>'+data.details.contact_id+' - </b>'+data.details.fullname+'</div></div>';
                            $('#temp_customer').html(frequentlist);
                            init_events();
                            //get las visits
                            callAjax("getContactVisits", "contact_id="+data.details.contact_id ) ;
                            return false;
                        }
                        setTimeout(function() {
                            $("#cantonzona").val(data.details.canton).trigger('change');
                            setTimeout(function () {
                                $("#zona").val(data.details.idzona);
                                $("#category").val(data.details.idcategory).trigger('change');
                                setTimeout(function () {
                                    $("#subcategory").val(data.details.subcategory);
                                }, 500);
                            },500);
                        }, 500);
                        switch (map_provider){
                            case "google":
                                setMarkerEdit( data.details.addresss_lat , data.details.addresss_lng ,'addresss_lat','addresss_lng' );
                                break;

                            case "mapbox":
                                mapbox_plotMarkerContact(data.details.addresss_lat , data.details.addresss_lng);
                                break;
                        }
                        break;
                }
            } else {

                //failed mycon
                switch (action) {
                    case "loadContactProfile":
                        if($('#profile_contact_id').exists()){
                            window.location.href = "contacts";
                        }
                        break;
                    case "loadGaleriaprofile":
                        nAlert(data.msg,'warning');
                        break;
                    default :
                        nAlert(data.msg, "warning");
                        if (data.msg == 'Error al ingresar') {
                            location.reload();
                        }

                        break;
                }

            }
        },
        error: function (request, error) {

        }
    });
}

function getFacturas_Client(fecha){
    $('#reporte_facturas').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };


    if($("#profile_contact_id").exists()){
        var contact_id = $("#profile_contact_id").val();
        var factura = '';
        var fechainicio='';
        var fechafin='';
    }else{
        var startDate = $('#reportrange').data('daterangepicker').startDate;
        var endDate = $('#reportrange').data('daterangepicker').endDate;
        var fechainicio = startDate.format('YYYY-MM-DD');
        var fechafin = endDate.format('YYYY-MM-DD');
        var factura = $('#factura').val();
        var contact_id = $('#contact_list_stock').val();
    }
    var action = 'reporteFacturas';

    if(fecha==''){
        fechainicio='';
        fechafin='';
    }

    var tableElement = $('#reporte_facturas').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'landscape',
                className: 'btn btn-outline-danger',
                pageSize: 'A4',
                title: 'Seller App - Facturas Pendientes',
                filename: 'Seller App - Facturas Pendientes',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                message: 'Seller App - Facturas Pendientes'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '20%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '12%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '11%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '11%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '11%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#F9F2DE');
                $('td', row).css('color', '#336699');
                var subtotal = parseFloat(data[4]);
                var iva = parseFloat(data[5]);
                var pagado = parseFloat(data[6]);
                var total = subtotal + iva;
                total = total.toFixed(2);
                pagado = pagado.toFixed(2);
                if($('#porciento_cartera').exists()){
                    Highcharts.chart('porciento_cartera', {
                        chart: {
                            plotBackgroundColor: null,
                            plotBorderWidth: null,
                            plotShadow: false,
                            type: 'pie'
                        },
                        title: {
                            text: 'Porciento de Cartera'
                        },
                        tooltip: {
                            pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                        },
                        credits: {
                            enabled: false
                        },
                        plotOptions: {
                            pie: {
                                allowPointSelect: true,
                                cursor: 'pointer',
                                dataLabels: {
                                    enabled: false
                                },
                                showInLegend: true
                            }
                        },
                        series: [{
                            name: 'Porciento',
                            colorByPoint: true,
                            data: [{
                                name: 'Pagado',
                                y: parseFloat(pagado),
                                sliced: true,
                                selected: true,
                                color: '#57eea7'
                            }, {
                                name: 'Monto Deuda',
                                y: parseFloat(total)-parseFloat(pagado),
                                color: '#ffbc00'
                            }]
                        }]
                    });
                }
            }

        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : contacts_url+"/"+action, // json datasource
            type: "post",
            data: {
                contact_id: contact_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                factura: factura
            }
        }

    });
}

function getPagos_Client(){
    $('#reporte_pagos').DataTable().destroy();
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    var formaspago=[];
    var pagado = [];
    var tipo= [0, 0];
    if($("#profile_contact_id").exists()){
        var contact_id = $("#profile_contact_id").val();
        var factura = '';
        var fechainicio='';
        var fechafin='';
        var totaldeuda = 0;
        var totalpagado = 0;
    }else{
        var startDate = $('#reportrange').data('daterangepicker').startDate;
        var endDate = $('#reportrange').data('daterangepicker').endDate;
        var fechainicio = startDate.format('YYYY-MM-DD');
        var fechafin = endDate.format('YYYY-MM-DD');
        var contact_id = $('#contact_list_stock').val();
        var factura = $('#factura').val();
    }

    var action = 'reportePagos';

    var tableElement = $('#reporte_pagos').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'landscape',
                className: 'btn btn-outline-danger',
                pageSize: 'A4',
                title: 'Seller App - Pagos Realizados',
                filename: 'Seller App - Pagos Realizados',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                message: 'Seller App - Pagos Realizados'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '20%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '11%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '8%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '8%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '8%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {

            if ( data[0] != '' )
            {
                var formaactual = data[6];
                if(formaspago.indexOf(formaactual)==-1){
                    formaspago.push(formaactual);
                }
                var montoactual = parseFloat(data[3]);
                var pos = formaspago.indexOf(formaactual);
                if(pagado[pos]==undefined){
                    pagado[pos]=0;
                }
                pagado[pos]= parseFloat(pagado[pos]) + montoactual;
                //
                var tipopago = data[5];
                if(tipopago.indexOf('Parcial')!=-1){
                    tipo[0] = parseInt( tipo[0]) + 1;
                }else{
                    tipo[1] = parseInt( tipo[1]) + 1;
                }

            }
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#eff9d2');
                $('td', row).css('color', '#336699');
                for(var i=0; i<pagado.length; i++){
                    var elpago = parseFloat(pagado[i]);
                    elpago = elpago.toFixed(2);
                    pagado[i]= parseFloat(elpago);
                }
                totaldeuda = parseFloat(data[2]);
                totalpagado = parseFloat(data[3]);
                if($('#porciento_cobro').exists()){
                    Highcharts.chart('porciento_cobro', {
                        chart: {
                            type: 'column'
                        },
                        title: {
                            text: 'Cobros por Método de Pago'
                        },
                        subtitle: {
                            text: 'Fuente: Seller Manager App'
                        },
                        xAxis: {
                            categories: formaspago,
                            title: {
                                text: null
                            }
                        },
                        yAxis: {
                            min: 0,
                            title: {
                                text: 'Monto ($)',
                                align: 'high'
                            },
                            labels: {
                                overflow: 'justify'
                            }
                        },
                        tooltip: {
                            valueSuffix: ' $'
                        },
                        plotOptions: {
                            bar: {
                                dataLabels: {
                                    enabled: true
                                }
                            },
                            series: {
                                colorByPoint: true
                            }
                        },
                        legend: {
                            layout: 'vertical',
                            align: 'right',
                            verticalAlign: 'top',
                            x: -40,
                            y: 80,
                            floating: true,
                            borderWidth: 1,
                            backgroundColor:
                                Highcharts.defaultOptions.legend.backgroundColor || '#FFFFFF',
                            shadow: true
                        },
                        credits: {
                            enabled: false
                        },
                        series: [{
                            name: 'Monto',
                            data: pagado,
                            colors: ['#df2d64', '#79ee02', '#ffbc00', '#12eeeb', '#0bbbbb']
                        }]
                    });
                }

                //
                if($('#estado_cobro').exists()){
                    Highcharts.chart('estado_cobro', {
                        chart: {
                            type: 'column'
                        },
                        title: {
                            text: 'Total Deuda / Total Pagado'
                        },
                        subtitle: {
                            text: 'Fuente: Seller Manager App'
                        },
                        xAxis: {
                            categories: ['Total Deuda', 'Total Pagado'],
                            title: {
                                text: null
                            }
                        },
                        yAxis: {
                            min: 0,
                            title: {
                                text: 'Monto ($)',
                                align: 'high'
                            },
                            labels: {
                                overflow: 'justify'
                            }
                        },
                        tooltip: {
                            valueSuffix: ' $'
                        },
                        plotOptions: {
                            bar: {
                                dataLabels: {
                                    enabled: true
                                }
                            },
                            series: {
                                colorByPoint: true
                            }
                        },
                        legend: {
                            layout: 'vertical',
                            align: 'right',
                            verticalAlign: 'top',
                            x: -40,
                            y: 80,
                            floating: true,
                            borderWidth: 1,
                            backgroundColor:
                                Highcharts.defaultOptions.legend.backgroundColor || '#FFFFFF',
                            shadow: true
                        },
                        credits: {
                            enabled: false
                        },
                        series: [{
                            name: 'Monto',
                            data: [totaldeuda, totalpagado],
                            colors: ['#ffbc00', '#12eeeb', '#0bbbbb', '#df2d64', '#79ee02']
                        }]
                    });
                }

                //
                if($('#estado_cobro').exists()){
                    Highcharts.chart('tipoc_cobro', {
                        chart: {
                            type: 'pie',
                            options3d: {
                                enabled: true,
                                alpha: 45,
                                beta: 0
                            }
                        },
                        title: {
                            text: 'Tipo de Pago'
                        },
                        credits: {
                            enabled: false
                        },
                        tooltip: {
                            pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                        },
                        plotOptions: {
                            pie: {
                                allowPointSelect: true,
                                cursor: 'pointer',
                                depth: 35,
                                dataLabels: {
                                    enabled: true,
                                    format: '{point.name}'
                                },
                                colors: ['#8205c2', '#57EEA7']
                            }
                        },
                        series: [{
                            type: 'pie',
                            name: 'Tipos de Pago',
                            data: [
                                ['Parcial', tipo[0]],
                                ['Total', tipo[1]]
                            ]
                        }]
                    });
                }

            }
        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : contacts_url+"/"+action, // json datasource
            type: "post",
            data: {
                contact_id: contact_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                factura: factura
            }
        }

    });
}

function getRetenciones_Client(){
    $('#reporte_retenciones').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var startDate = $('#reportrange').data('daterangepicker').startDate;
    var endDate = $('#reportrange').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    var contact_id = $('#contact_list_stock').val();
    var factura = $('#factura').val();
    var action = 'reporteRetenciones';

    var params = "contact_id="+contact_id;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params += "&factura="+factura;
    params+="&language="+language;

    var tableElement = $('#reporte_retenciones').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'landscape',
                className: 'btn btn-outline-danger',
                pageSize: 'A4',
                title: 'Seller App - Reporte de Retenciones',
                filename: 'Seller App - Reporte de Retenciones',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                message: 'Seller App - Reporte de Retenciones'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '20%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#eff9d8');
                $('td', row).css('color', '#336699');
            }
        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : contacts_url+"/"+action, // json datasource
            type: "post",
            data: {
                contact_id: contact_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                factura: factura
            }
        }

    });
}

function getNotas_Client(){
    $('#reporte_notas').DataTable().destroy();
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };

    var startDate = $('#reportrange').data('daterangepicker').startDate;
    var endDate = $('#reportrange').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    var contact_id = $('#contact_list_stock').val();
    var driver_id = $('#driver_selection').val();

    var action = 'reporteNotas';

    var params = "contact_id="+contact_id;
    params += "&fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&language="+language;

    var tableElement = $('#reporte_notas').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'landscape',
                pageSize: 'A4',
                title: 'Seller App - Reporte de Retenciones',
                filename: 'Seller App - Reporte de Retenciones',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                message: 'Seller App - Reporte de Retenciones'
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '20%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '15%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[3, "desc"]],
        "rowCallback": function(row, data, index  ) {
            if ( data[0] == '' )
            {
                $('td', row).css('background-color', '#eff9d8');
                $('td', row).css('color', '#336699');
            }
        },
        'iDisplayLength': 20,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "ajax":{
            url : contacts_url+"/"+action, // json datasource
            type: "post",
            data: {
                contact_id: contact_id,
                fechainicio: fechainicio,
                fechafin: fechafin,
                driver_id: driver_id
            }
        }

    });
}

function loadContactProfile(){
    if($('#profile_contact_id').exists()){
        var contact_id = $('#profile_contact_id').val();
    }else{
        var contact_id = $('#contact_id').val();
        if(contact_id==''){
            $('#cat_id').val('');
            $('#cupocliente').val('');
            $('#balancecliente').val('');
            $('#descuentocliente').val(0);
            $('#phonecliente').val('');
            $('#emailcliente').val('');
            $('#representante').val('');
            var vendedor = $('#driver_id :selected').text();
            $('.ecc-name').html('');
            $('.cupocliente').html('');
            $('.balance').html('');
            $('.contact_address').html('');
            $('.forma_pago').html('');
            $('.order-main-info strong').html('');
            $('#contact_data').hide();
            return false;
        }
    }

    var params="contact_id="+contact_id;
    callContacts('loadContactProfile', params);
}

function cargar_galeria(){
    if($('#profile_contact_id').exists()){
        var contact_id =  $('#profile_contact_id').val();
        var driver_id = '';
    }
    if($('#galeriafotos').exists()){
        var driver_id = $('#driver_selection').val();
        var contact_id = $('#contact_list_stock').val();
    }else{
        var driver_id = $('#profile_driver_id').val();
        var contact_id ='-1';
    }
    if($('#gallery_contact_id').exists()){
        var contact_id =  $('#gallery_contact_id').val();
    }
    if($('#profile_contact_id').exists()){
        var contact_id =  $('#profile_contact_id').val();
    }
    if(driver_id==undefined){
        driver_id='';
    }
    var fecha_inicio = $('#calendar_formatedgini').val();
    var fecha_fin = $('#calendar_formatedgfin').val();
    var params ="driver_id="+driver_id;
    params +="&contact_id="+contact_id;
    params +="&fecha_inicio="+fecha_inicio;
    params +="&fecha_fin="+fecha_fin;
    callContacts('loadGaleriaprofile', params);
}

function load_deudas_totales(){

    var contact_id = $('#contact_list_cartera').val();
    if($('#cvencida').is(':checked')){
        var cvencida= 1;
    }else{
        var cvencida= 0;
    }
    $('#body_deudas_totales').html('');
    $('#foot_deuda_totales').html('');
    var params = "contact_id="+contact_id;
    params += "&cvencida="+cvencida;
    callContacts('getDeudasTotal', params);
}

function cargar_porciento_cobranza(){
    var contact_id = $('#contact_list_cartera').val();
    if($('#cvencida').is(':checked')){
        var cvencida= 1;
    }else{
        var cvencida= 0;
    }
    var params = "contact_id="+contact_id;
    params += "&cvencida="+cvencida;
    callContacts('getDeudasPorciento', params);
}


function getCarteraTable(){
    $('#table_cartera_total').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    if($('#cvencida').is(':checked')){
        var cvencida= 1;
    }else{
        var cvencida= 0;
    }
    var contact_id = $('#contact_list_cartera').val();
    var action = 'getCarteraTable';

    var params = "contact_id="+contact_id;
    params+="&language="+language;
    params+="&cvencida="+cvencida;
    var tableElement = $('#table_cartera_total').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                className: 'btn btn-outline-success',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                className: 'btn btn-outline-danger',
                text: 'PDF',
                orientation: 'portrait',
                pageSize: 'A4',
                title: 'Seller Manager - Deudas Totales',
                filename: 'Seller Manager - Deudas Totales',
                download: 'open'
            },
            {
                extend: 'print',
                className: 'btn btn-outline-info',
                text: 'Imprimir',
                title: function(){
                    return 'Seller Manager - Deudas Totales'
                }
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '25%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-right upper', // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-right upper', // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '10%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 5000,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
            if ( aData[3] == '<b style="color: #007695;">Total General</b>' )
            {
                $(nRow).css('background-color', '#fbf7dc');
                $('td:eq(3)', nRow).css('color', '#007695');
            }

        },
        "ajax":{
            url : contacts_url+"/"+action, // json datasource
            type: "post",
            data: {
                contact_id: contact_id,
                cvencida: cvencida
            }
        }

    });
    getCarteraPorMes();
}

function getCarteraProv(provincia){
    if(provincia) {
        $('#table_cartera_prov2').DataTable().destroy();
    }else {
        $('#table_cartera_prov').DataTable().destroy();
    }

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    if($('#cvencida').is(':checked')){
        var cvencida= 1;
    }else{
        var cvencida= 0;
    }
    var contact_id = $('#contact_list_cartera').val();
    var action = 'getCarteraProv';

    var params = "contact_id="+contact_id;
    params+="&language="+language;
    params+="&cvencida="+cvencida;
    params+="&provincia="+provincia;
    if(provincia) {
        var tableElement = $('#table_cartera_prov2').dataTable( {
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'copyHtml5',
                    className: 'btn btn-outline-primary',
                    text: 'Copiar'
                },
                {
                    extend: 'excelHtml5',
                    className: 'btn btn-outline-success',
                    text: 'Exportar a Excel',
                    customize: function( xlsx ) {
                        var sheet = xlsx.xl.worksheets['sheet1.xml'];
                        $('row:first c', sheet).attr( 's', '42' );
                    }
                },
                {
                    extend: 'pdfHtml5',
                    text: 'PDF',
                    className: 'btn btn-outline-danger',
                    orientation: 'portrait',
                    pageSize: 'A4',
                    title: 'Seller Manager - Deudas Totales por Provincia/Cantón',
                    filename: 'Seller Manager - Deudas Totales por Provincia/Cantón',
                    download: 'open'
                },
                {
                    extend: 'print',
                    className: 'btn btn-outline-info',
                    text: 'Imprimir',
                    title: function(){
                        return 'Seller Manager - Deudas Totales por Provincia/Cantón'
                    }
                }
            ],
            "language": {
                "lengthMenu": "Mostrar _MENU_ filas por página",
                "zeroRecords": "No hay resultados",
                "info": "Mostrando página _PAGE_ of _PAGES_",
                "infoEmpty": "No hay resultados",
                "infoFiltered": "(filtrado de _MAX_ total registros)",
                "sSearch": " "
            },
            // disable sorting on the checkbox column
            columnDefs: [
                {
                    targets: 0,                       // Column number which needs to be modified
                    orderable: false,                 // Column is not sortable
                    className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                    width: '`30%'
                } ,{
                    targets: [1],                     // Column number which needs to be modified
                    className: 'th-cell upper text-center',       // Optional - class to be applied to this table cell - th-cell simulate th style
                    width: '20%'
                },{
                    targets: [2],                     // Column number which needs to be modified
                    className: 'th-cell upper text-right',       // Optional - class to be applied to this table cell - th-cell simulate th style
                    width: '20%'
                },
                {
                    targets: [3],                     // Column number which needs to be modified
                    className: 'th-cell text-center upper text-right',          // Optional - class to be applied to this table cell
                    width: '15%'
                },
                {
                    targets: [4],                     // Column number which needs to be modified
                    className: 'th-cell text-center upper text-right', // Optional - class to be applied to this table cell
                    width: '15%'
                }
            ],
            "searching": false,
            order: [[0, "asc"]],
            'iDisplayLength': 1000,
            autoWidth: false,
            "processing": true,
            "serverSide": true,
            "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                if ( aData[3] == '<b style="color: #007695;">Total General</b>' )
                {
                    $(nRow).css('background-color', '#fbf7dc');
                    $('td:eq(3)', nRow).css('color', '#007695');
                }

            },
            "ajax":{
                url : contacts_url+"/"+action, // json datasource
                type: "post",
                data: {
                    contact_id: contact_id,
                    cvencida: cvencida,
                    provincia: provincia
                }
            }

        });
        getCarteraProv('');
    }else{
        var tableElement = $('#table_cartera_prov').dataTable( {
            dom: 'Bfrtip',
            buttons: [
                {
                    extend: 'copyHtml5',
                    className: 'btn btn-outline-primary',
                    text: 'Copiar'
                },
                {
                    extend: 'excelHtml5',
                    text: 'Exportar a Excel',
                    className: 'btn btn-outline-success',
                    customize: function( xlsx ) {
                        var sheet = xlsx.xl.worksheets['sheet1.xml'];
                        $('row:first c', sheet).attr( 's', '42' );
                    }
                },
                {
                    extend: 'pdfHtml5',
                    text: 'PDF',
                    className: 'btn btn-outline-danger',
                    orientation: 'portrait',
                    pageSize: 'A4',
                    title: 'Seller Manager - Deudas Totales por Provincia/Cantón',
                    filename: 'Seller Manager - Deudas Totales por Provincia/Cantón',
                    download: 'open'
                },
                {
                    extend: 'print',
                    className: 'btn btn-outline-info',
                    text: 'Imprimir',
                    title: function(){
                        return 'Seller Manager - Deudas Totales por Provincia/Cantón'
                    }
                }
            ],
            "language": {
                "lengthMenu": "Mostrar _MENU_ filas por página",
                "zeroRecords": "No hay resultados",
                "info": "Mostrando página _PAGE_ of _PAGES_",
                "infoEmpty": "No hay resultados",
                "infoFiltered": "(filtrado de _MAX_ total registros)",
                "sSearch": " "
            },
            // disable sorting on the checkbox column
            columnDefs: [
                {
                    targets: 0,                       // Column number which needs to be modified
                    orderable: false,                 // Column is not sortable
                    className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                    width: '20%'
                },
                {
                    targets: [1],                     // Column number which needs to be modified
                    className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                    width: '20%'
                },{
                    targets: [2],                     // Column number which needs to be modified
                    className: 'th-cell upper text-center',       // Optional - class to be applied to this table cell - th-cell simulate th style
                    width: '15%'
                },{
                    targets: [3],                     // Column number which needs to be modified
                    className: 'th-cell upper text-right',       // Optional - class to be applied to this table cell - th-cell simulate th style
                    width: '15%'
                },
                {
                    targets: [4],                     // Column number which needs to be modified
                    className: 'th-cell text-center upper text-right',          // Optional - class to be applied to this table cell
                    width: '15%'
                },
                {
                    targets: [5],                     // Column number which needs to be modified
                    className: 'th-cell text-center upper text-right', // Optional - class to be applied to this table cell
                    width: '15%'
                }
            ],
            "searching": false,
            order: [[0, "asc"]],
            'iDisplayLength': 1000,
            autoWidth: false,
            "processing": true,
            "serverSide": true,
            "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                if ( aData[3] == '<b style="color: #007695;">Total General</b>' )
                {
                    $(nRow).css('background-color', '#fbf7dc');
                    $('td:eq(3)', nRow).css('color', '#007695');
                }

            },
            "ajax":{
                url : contacts_url+"/"+action, // json datasource
                type: "post",
                data: {
                    contact_id: contact_id,
                    cvencida: cvencida,
                    provincia: provincia
                }
            }

        });
    }

}

function getCarteraProvBar(){
    var contact_id = $('#contact_list_cartera').val();
    if($('#cvencida').is(':checked')){
        var cvencida= 1;
    }else{
        var cvencida= 0;
    }
    $('#body_deudas_totales').html('');
    $('#foot_deuda_totales').html('');
    var params = "contact_id="+contact_id;
    params += "&cvencida="+cvencida;
    callContacts('getDeudasTotalProvBar', params);
}

function getCarteraPorMes(){
    $('#table_cartera_mes').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    if($('#cvencida').is(':checked')){
        var cvencida= 1;
    }else{
        var cvencida= 0;
    }
    var contact_id = $('#contact_list_cartera').val();
    var action = 'getCarteraMes';

    var params = "contact_id="+contact_id;
    params+="&language="+language;
    params+="&cvencida="+cvencida;
    var tableElement = $('#table_cartera_mes').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                className: 'btn btn-outline-primary',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                className: 'btn btn-outline-success',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                className: 'btn btn-outline-danger',
                orientation: 'portrait',
                pageSize: 'A4',
                title: 'Seller Manager - Deudas Totales por Mes',
                filename: 'Seller Manager - Deudas Totales por Mes',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                className: 'btn btn-outline-info',
                title: function(){
                    return 'Seller Manager - Deudas Totales por Mes'
                }
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '15%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 5000,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
            if ( aData[3] == '<b style="color: #007695;">Total General</b>' )
            {
                $(nRow).css('background-color', '#fbf7dc');
                $('td:eq(3)', nRow).css('color', '#007695');
            }

        },
        "ajax":{
            url : contacts_url+"/"+action, // json datasource
            type: "post",
            data: {
                contact_id: contact_id,
                cvencida: cvencida
            }
        }

    });
    getCarteraMesChart();
}

function getCarteraMesChart(){
    if($('#cvencida').is(':checked')){
        var cvencida= 1;
    }else{
        var cvencida= 0;
    }
    var contact_id = $('#contact_list_cartera').val();

    var params = "contact_id="+contact_id;
    params+="&language="+language;
    params+="&cvencida="+cvencida;
    callContacts('getCarteraMesChart', params);
}

$(document).ready(function(){

    if($('#cvencida').exists()){
        load_deudas_totales();
    }

        $("#contact_list").on( "change", function() {
            var contact_id=$(this).val();
            if ( contact_id=="-1"){
                $("#contact_number").val('');
                $("#email_address").val('');
                $("#customer_name").val('');
                $("#delivery_address").val('');
                $("#contact_lat").val('');
                $("#contact_lng").val('');
            } else {
                callContacts("loadContactInfo", "contact_id="+ contact_id );
            }
        });


    if($('.new-covarage-guides').exists()){

        if(parseInt($('#contact_list').val())!=-1){
            $('#contact_list').trigger('change').trigger("chosen:updated");
        }
        if ( !empty($("#id").val())){
            initGuideMap();
            callAjax("getCovarageGuide", "id="+$("#id").val() ,  $("#frm .orange-button") ) ;
        }else{
            initGuideMap();
        }
    }

    $( document ).on( "change", ".contact_list2", function() {
        var contact_id=$(this).val();
        if ( contact_id=="-1"){
            $("#dropoff_contact_name").val('');
            $("#dropoff_contact_number").val('');
            $("#drop_address").val('');
        } else {
            callContacts("loadContactInfo2", "contact_id="+ contact_id );
        }
    });
});