"use strict";
var cart=[];
jQuery.fn.exists = function(){return this.length>0;}

function getVentasTableClienteNOpedido(){
    $('#table_clientes_no').DataTable().destroy();

    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    var contact_id = $('#contact_list_client').val();
    var startDate = $('#reportrange_c').data('daterangepicker').startDate;
    var endDate = $('#reportrange_c').data('daterangepicker').endDate;
    var fechainicio = startDate.format('YYYY-MM-DD');
    var fechafin = endDate.format('YYYY-MM-DD');
    var action = 'getVentasTableClienteNOpedido';

    var params = "fechainicio="+fechainicio;
    params += "&fechafin="+fechafin;
    params+="&language="+language;

    var tableElement = $('#table_clientes_no').dataTable( {
        dom: 'Bfrtip',
        buttons: [
            {
                extend: 'copyHtml5',
                text: 'Copiar'
            },
            {
                extend: 'excelHtml5',
                text: 'Exportar a Excel',
                customize: function( xlsx ) {
                    var sheet = xlsx.xl.worksheets['sheet1.xml'];
                    $('row:first c', sheet).attr( 's', '42' );
                }
            },
            {
                extend: 'pdfHtml5',
                text: 'PDF',
                orientation: 'portrait',
                pageSize: 'A4',
                title: 'Seller Manager - Clientes que no hanrealizado pedidos',
                filename: 'Seller Manager - Clientes que no hanrealizado pedidos',
                download: 'open'
            },
            {
                extend: 'print',
                text: 'Imprimir',
                title: function(){
                    return 'Seller Manager - Clientes que no hanrealizado pedidos'
                }
            }
        ],
        "language": {
            "lengthMenu": "Mostrar _MENU_ filas por página",
            "zeroRecords": "No hay resultados",
            "info": "Mostrando página _PAGE_ of _PAGES_",
            "infoEmpty": "No hay resultados",
            "infoFiltered": "(filtrado de _MAX_ total registros)",
            "sSearch": " "
        },
        // disable sorting on the checkbox column
        columnDefs: [
            {
                targets: 0,                       // Column number which needs to be modified
                orderable: false,                 // Column is not sortable
                className: 'th-cell text-left upper',           // Optional - class to be applied to this table cell
                width: '10%'
            },
            {
                targets: [1],                     // Column number which needs to be modified
                className: 'th-cell upper text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '20%'
            },{
                targets: [2],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },{
                targets: [3],                     // Column number which needs to be modified
                className: 'th-cell upper',       // Optional - class to be applied to this table cell - th-cell simulate th style
                width: '10%'
            },
            {
                targets: [4],                     // Column number which needs to be modified
                className: 'th-cell text-center upper',          // Optional - class to be applied to this table cell
                width: '20%'
            },
            {
                targets: [5],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '5%'
            },
            {
                targets: [6],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '15%'
            },
            {
                targets: [7],                     // Column number which needs to be modified
                className: 'th-cell text-center upper', // Optional - class to be applied to this table cell
                width: '10%'
            }
        ],
        "searching": false,
        order: [[0, "asc"]],
        'iDisplayLength': 500,
        autoWidth: false,
        "processing": true,
        "serverSide": true,
        "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
            if ( aData[3] == 'Total General' )
            {
                $(nRow).css('background-color', '#fbf7dc');
                $('td:eq(3)', nRow).css('color', '#007695');
            }

        },
        "ajax":{
            url : items_url+"/"+action, // json datasource
            type: "post",
            data: {
                fechainicio: fechainicio,
                fechafin: fechafin,
                contact_id: contact_id
            }
        }

    });
    getMetasClientes();
}

function addCartQty(bolean, txtaction, minimo, isdiscount)
{
    var qty =0;
    minimo = parseInt(minimo);
    var qty = $('#'+txtaction).val();

    var qty=parseInt(qty);
    if ( bolean==2){
        qty=qty+1;
    } else {
        qty=qty-1;
    }
    if ( qty>=1){
        $('#'+txtaction).val(qty);

    } else {
        $('#'+txtaction).val(minimo);
    }
}

function delete_cart_item(i, therow){
    //delete
    var idproduct = cart[i].idproduct;
    var contact_id = cart[i].contact_id;
   //deleteCartItem(contact_id, idproduct);
    cart.splice(i, 1);
    $('.'+therow).remove();
    load_cart();
}

function ocultar_entrega(){
    if($('#proforma').is(':checked')){
        $('#calendar_ubic').prop('readonly', true).val('');
        $('#map_clock_ini').prop('readonly', true).val('');
        $('#statuspedido').val('Proforma');
    }else{
        $('#calendar_ubic').prop('readonly', false);
        $('#map_clock_ini').prop('readonly', false);
        $('#statuspedido').val('Pendiente');
    }
}


function UpdateForms(form_id , action )
{
    var pedido_minimo = 0;
    var params = $( "#"+form_id).serialize();
    switch(action){
        case 'EnviarPedido':
            //reemplazar params para este método
          //   params = $( "#frm-checkout .step1").serialize();
            var contact_id = $('#contact_id').val();
            var driver_id = $('#driver_id').val();
            params +="&contact_id="+contact_id;
            params +="&driver_id="+driver_id;
            if(contact_id=='' || contact_id==null || contact_id=='null' ){
                toastMessage('Por favor selecciones el Cliente.', 'Cliente es Requerido');
                return false;
            }
            if(cart.length==0 || cart.length<pedido_minimo){
                toastMessage('El carrito de compras está vacio o no cumple con el pedido mínimo, por favor agregue más productos.', 'Pedido Mínimo');
                return false;
            }
            var proforma = false;
            if($('#proforma').is(':checked')){
                proforma = true;
            }
            var  fecha_entrega = $('#calendar_formated_ubic').val();
            if(fecha_entrega=='' && proforma==false){
                toastMessage('Por favor ingrese la fecha de entrega.');
                return false;
            }
            var pedidos_sin_cupo = 1;

            var cupocliente = parseFloat($('#cupocliente').val());
            var balancecliente = parseFloat($('#balancecliente').val());
            var totalpedido =  parseFloat($('.lossubtotales').text());
            var disponible = cupocliente - balancecliente;
            if(totalpedido > disponible){
                if(pedidos_sin_cupo==0){
                    toastMessage('El pedido es superior al cupo disponible ($'+disponible+'), por favor ajuste las cantidades en su carrito de compras.');
                    return false;
                }
            }
            $('#btnEnviarPedido').html('<span >Enviando...</span>');
            $('#btnEnviarPedido').prop('disabled', true);
            break;
    }

    //  var params = $( "#"+form_id).serialize();
     callItems(action, params);

}

function load_cart(){
    $('#carrito_check').html('');
    var contact_id = $("#contact_id").val();
    var frmpedidos = '<input type="hidden" value="'+contact_id+'" name="contact_id" id="contact_id" class="contact_id step1">';
    //fila
    var lossubtotales = 0;
    var lossubtotalesneto=0;
    var lossubtotalesiva = 0;
    var losdescuentos = 0;
    var totalitems = cart.length;
    $('#totalitems').val(totalitems);
    var iva_fila=0;

    ///////////////
    var frmpedidos_2  = '<ol class="cart-item">';

    for(var i=0;i<totalitems;i++){
        var lacant = parseInt(cart[i].qty);
        var elpreciooriginal = parseFloat(cart[i].price);
        var elprecio = elpreciooriginal;
        var descuento = parseInt(cart[i].descuento);
        var subtotalitem = (elprecio - elprecio*(descuento/100))*lacant;
        subtotalitem = subtotalitem.toFixed(6);
        var with_iva = parseInt(cart[i].with_iva);
        var subtotaliva = 0;
        var subtotalneto = 0;
        var eldescuento = 0;
        var stepclass = 'step1';
        if(descuento>0){
            elprecio = elprecio - elprecio*(descuento/100);
            elprecio = parseFloat(elprecio);
            var eldescuento = elpreciooriginal*(descuento/100)*lacant;
        }
        if(with_iva==1){
            var elprecioiva = elprecio*1.12;
            elprecioiva = parseFloat(elprecioiva);
        }else{
            var elprecioiva = elprecio;
        }

        var subtotal = lacant*elpreciooriginal;
        subtotal = subtotal.toFixed(6);
        subtotalneto = lacant*elprecio;
        subtotalneto = subtotalneto.toFixed(6);
        subtotaliva = 0.00;
        if(with_iva==1){
            subtotaliva = parseFloat(subtotalitem)*0.12;
            subtotaliva = subtotaliva.toFixed(6);
        }

        lossubtotales = parseFloat(lossubtotales) + parseFloat(subtotal);
        lossubtotalesneto = parseFloat(lossubtotalesneto) + parseFloat(subtotalneto);
        losdescuentos = parseFloat(losdescuentos) + parseFloat(eldescuento);
        lossubtotalesiva  = parseFloat(lossubtotalesiva) + parseFloat(subtotaliva);
        if(totalitems<=20){
            stepclass = 'step1';
        }else{
            if(i<20){
                stepclass = 'step1';
            }else if(i>=20 && i<40){
                stepclass = 'step2';
            }else if(i>=40 && i<60){
                stepclass = 'step3';
            }else if(i>=60 && i<80){
                stepclass = 'step4';
            }else if(i>=80 && i<100){
                stepclass = 'step5';
            }else if(i>=100 && i<120){
                stepclass = 'step6';
            }else if(i>=120 && i<140){
                stepclass = 'step7';
            }else if(i>=140 && i<160){
                stepclass = 'step8';
            }else if(i>=160 && i<180){
                stepclass = 'step9';
            }else if(i>=180 && i<200){
                stepclass = 'step10';
            }else if(i>=200 && i<220){
                stepclass = 'step11';
            }else if(i>=220 && i<240){
                stepclass = 'step12';
            }else if(i>=240 && i<260){
                stepclass = 'step13';
            }else if(i>=260 && i<280){
                stepclass = 'step14';
            }else if(i>=280 && i<=310){
                stepclass = 'step15';
            }else{
                stepclass = 'step1';
            }
        }

        if(with_iva==1){
            iva_fila = (parseFloat(cart[i].qty)*parseFloat(cart[i].price))*0.12;
            iva_fila =iva_fila.toFixed(2);
        }else{
            iva_fila = 0;
        }

      /*  frmpedidos_2 += '<li class="checkoutrow '+stepclass+'" style="position: relative;">';
        frmpedidos_2 += '<input type="hidden" name="idproduct[]" value="'+cart[i].idproduct+'" id="idproduct" class="idproduct '+stepclass+'">';
        frmpedidos_2 += '<input type="hidden" name="cod_prod[]" value="'+cart[i].cod_prod+'" id="cod_prod" class="cod_prod '+stepclass+'">';
        frmpedidos_2 += '<input type="hidden" name="subtotal[]" value="'+subtotalneto+'" class="'+stepclass+'">';
        frmpedidos_2 += '<input type="hidden" name="subtotaliva[]" value="'+subtotaliva+'" class="'+stepclass+'">';
        frmpedidos_2 += '<h3 class="product-name">';
        frmpedidos_2 += '<textarea style="width: 90%; color: #ae0000;" name="description[]" class="'+stepclass+'" rows="2" readonly>'+cart[i].cod_prod+' ~ '+cart[i].description+'</textarea>';
        frmpedidos_2 += '</h3>';
        frmpedidos_2 += '<span class="cart-delete"><a class="delete_cart_item" onclick="delete_cart_item('+i+', this);" href="#"><i class="fa fa fa-times"></i></a></span>';
        frmpedidos_2 += '<div class="table">';
        frmpedidos_2 += '<div class="qty col" style="width: 15%;"><input style="width: 98%; border: none;" type="number" name="qty[]" value="'+cart[i].qty+'" readonly class="'+stepclass+'" ></div>';
        frmpedidos_2 += '<div class="price col" style="width: 25%;"><input style="width: 98%; border: none;"  type="text" name="price[]" value="'+cart[i].price+'" readonly class="'+stepclass+'"></div>';
        frmpedidos_2 += '<div class="col" style="width: 15%;"><input type="text" style="width: 98%; border: none; text-align: center;" name="descuento[]" value="'+cart[i].descuento+'" readonly class="'+stepclass+'"></div>';
        var subtotalitemimp = parseFloat(subtotalitem);
        subtotalitemimp = subtotalitemimp.toFixed(2);
        frmpedidos_2 += '<div class="col" style="width: 15%;"> <input style="width: 98%; border: none; text-align: right;" type="text" value="'+iva_fila+'" readonly ></div>';
        frmpedidos_2 += '<div class="subtotalitem col" style="width: 30%;"> <input style="width: 98%; border: none; text-align: right;" type="text" name="subtotalitem[]" value="'+subtotalitemimp+'" readonly class="'+stepclass+'"></div>';
        frmpedidos_2 += '</div>';
        frmpedidos_2 += '</li>';*/
        //////////////////////
        frmpedidos += '<tr class="checkoutrow_'+cart[i].idproduct+' '+stepclass+'">';
        frmpedidos += '<input type="hidden" name="idproduct[]" value="'+cart[i].idproduct+'" id="idproduct" class="idproduct '+stepclass+'">';
        frmpedidos += '<input type="hidden" name="cod_prod[]" value="'+cart[i].cod_prod+'" id="cod_prod" class="cod_prod '+stepclass+'">';
        frmpedidos += '<input type="hidden" name="subtotal[]" value="'+subtotalneto+'" class="'+stepclass+'">';
        frmpedidos += '<input type="hidden" name="subtotaliva[]" value="'+subtotaliva+'" class="'+stepclass+'">';
        frmpedidos += '<td colspan="5">';
        frmpedidos += '<h3 class="product-name">';
        frmpedidos += '<textarea style="width: 100%; color: #ae0000; border: none; height: 53px;" name="description[]" class="'+stepclass+'"   readonly>'+cart[i].cod_prod+' ~ '+cart[i].description+'</textarea>';
        frmpedidos += '</h3>';
        frmpedidos += '</td>';
        frmpedidos += '</tr>';
        frmpedidos += '<tr class="checkoutrow_'+cart[i].idproduct+' '+stepclass+'">';

        frmpedidos += '<td style="min-width: 90px;">';
        frmpedidos += '<div class="quantity-selector">';
        frmpedidos += '<div class="quantity-input">';
        frmpedidos += '<div class="input-group">';
        frmpedidos += '<div class="input-group-prepend input-group-sm">';
        frmpedidos += '<div class="input-group-text">';
        frmpedidos += '<div class="os-icon os-icon-minus2"></div>';
        frmpedidos += '</div>';
        frmpedidos += '</div>';
        frmpedidos += '<input class="form-control form-control-sm" name="qty[]" value="'+cart[i].qty+'" readonly class="'+stepclass+'" >';
        frmpedidos += '<div class="input-group-append input-group-sm">';
        frmpedidos += '<div class="input-group-text">';
        frmpedidos += '<div class="os-icon os-icon-plus"></div>';
        frmpedidos += '</div>';
        frmpedidos += '</div>';
        frmpedidos += '</div>';
        frmpedidos += '</div>';
        frmpedidos += '</div>';
        frmpedidos += '</td>';

        frmpedidos += '<td class="text-md-right" style="min-width: 90px;">';
        frmpedidos += '<div class="product-price"><input style="width: 98%; border: none; font-size: 16px; "  type="text" name="price[]" value="'+cart[i].price+'" readonly class="'+stepclass+'"></div>';
        frmpedidos += '</td>';

        frmpedidos += '<td style="max-width: 45px;">';
        frmpedidos += '<input class="form-control form-control-sm" name="descuento[]" value="'+cart[i].descuento+'" readonly class="'+stepclass+'">';
        frmpedidos += '</td>';
        var subtotalitemimp = parseFloat(subtotalitem);
        subtotalitemimp = subtotalitemimp.toFixed(2);
        frmpedidos += '<td class="text-md-right" style="min-width: 65px;">';
        frmpedidos += '<div class="product-price"><input style="width: 98%; font-size: 16px; border: none; text-align: right;" type="text" value="'+iva_fila+'" readonly ></div>';
        frmpedidos += '</td>';

        frmpedidos += '<td style="position: relative;">';
        frmpedidos += '<a style="position: absolute; top: -60px; right: 0px; background-color: #d5170c; color: #fff; text-decoration: none; " class="product-remove-btn delete_cart_item" onclick="delete_cart_item('+i+', \'checkoutrow_'+cart[i].idproduct+'\');" href="javascript:;">';
        frmpedidos += '<div class="os-icon os-icon-x"></div>';
        frmpedidos += '</a>';
        frmpedidos += ' <input style="width: 98%; border: none; text-align: right;" type="text" name="subtotalitem[]" value="'+subtotalitemimp+'" readonly class="'+stepclass+'">';
        frmpedidos += '</td>';
        frmpedidos += '</tr>';
    }
    //
    lossubtotales = lossubtotales.toFixed(2);
    lossubtotalesiva  = lossubtotalesiva.toFixed(2);
    var lostotales = parseFloat(lossubtotalesneto) + parseFloat(lossubtotalesiva);
    lostotales = lostotales.toFixed(2);
    lossubtotalesneto = lossubtotalesneto.toFixed(2);
    losdescuentos = losdescuentos.toFixed(2);
    $('.subtotalsiniva').html(lossubtotales);
    $('.losdescuentos').html(losdescuentos);
    $('.lossubtotalesneto').html(lossubtotalesneto);
    $('.lossubtotalesiva').html(lossubtotalesiva);
    $('.lostotales').html(lostotales);
  /*  frmpedidos += '<div class="cart-action">';
    frmpedidos += '<div class="subtotal"><span class="title">Subtotal $ </span> <span class="price subtotalsiniva pull-right" style=" text-align: right;">'+lossubtotales+'</span></div>';
    frmpedidos += '<div class="subtotal"><span class="title">Descuento $ </span> <span class="price losdescuentos pull-right" style=" text-align: right;">'+losdescuentos+'</span></div>';
    frmpedidos += '<div class="subtotal"><span class="title">Subtotal Neto $ </span> <span class="price lossubtotalesneto pull-right" style=" text-align: right;">'+lossubtotalesneto+'</span></div>';
    frmpedidos += '<div class="subtotal"><span class="title">IVA $ </span> <span class="price lossubtotalesiva iva pull-right" style=" text-align: right;">'+lossubtotalesiva+'</span></div>';
    frmpedidos += '<div class="total"><span class="title">Total $ </span> <span class="price lostotales pull-right" style=" text-align: right;">'+lostotales+'</span></div>';
    frmpedidos += '</div>';*/
    $('#carrito_check').html(frmpedidos);

}

function add_cart(contact_id, idproduct, empaque, subempaque, cod_prod, description, elprecio, with_iva, descuento, tipo, objboton)
{

    var lacantidad = parseInt($('#qty_'+idproduct).val());
    if(lacantidad=='' || lacantidad==0){
        toastMessage('Por favor agregue la cantidad', 'Carrito');
        return false;
    }
    //validad opciones de descuento
    if(tipo=='producto'){
        //descuento del campo percent_may del producto prevalecerá
        var porciento_aplicado = descuento;
    }else{
        var descuentos_mayorista = 0; //parseInt(getStorage('descuentos_mayorista'));
        var porciento_mayorista = 0;
        if(descuentos_mayorista==1){
            porciento_mayorista = 0; // parseInt(getStorage('porciento_mayorista'));
        }
        if(lacantidad>=empaque && descuentos_mayorista==1 && empaque>=1){
            descuento = porciento_mayorista;
        }else{
            descuento = 0;
        }
        //validar descuento aplicado
        porciento_aplicado = parseInt($('#dto_'+idproduct).val());
        if(isNaN(porciento_aplicado)){
            porciento_aplicado = 0;
        }
        if(porciento_aplicado>descuento){
            toastMessage('El descuento que ha aplicado es mayor que el permitido para este producto.', 'Carrito');
            return false;
        }
    }

    //validar stock
    var stock = $(objboton).closest('.itemcart').find('.stockitem').text();

    stock = parseInt(stock);
    var pedidos_sin_stock = 1; //parseInt(getStorage('pedidos_sin_stock'));
    if(stock==0 || lacantidad>stock){
        if(pedidos_sin_stock==0){
            toastMessage('Lo sentimos, el pedido es superior al stock disponible.', 'Carrito');
            return false;
        }
    }

    elprecio = $('#precio_'+idproduct).text();

    elprecio = parseFloat(elprecio);
    if(with_iva==1){
        elprecio = elprecio/1.12;
    }
    elprecio = elprecio.toFixed(6);
    cart[cart.length]={
        "contact_id":contact_id,
        "idproduct":idproduct,
        "qty":lacantidad,
        "price":elprecio,
        "with_iva":with_iva,
        'descuento':porciento_aplicado,
        'cod_prod':cod_prod,
        'description':description
    };

    toastMessage("El item "+description+" ha sido agregado al carrito",'Carrito' );
    $('#qty_'+idproduct).val(1);
    $('#dto_'+idproduct).val(0);

        load_cart();


}

function formatCatalogAmpliado(arrproducts){
    var idcategory = $(".cat_id").val();
    var descuentos_pedido = 0;
    var list_prod = '';
    var lalista = '';

    for(var i=0;i<arrproducts.length;i++){
        var idproduct = arrproducts[i].idproduct;
        var contact_id = $('#pedido_id').val();
        var elprecioinventario = arrproducts[i].price;
        var elprecioinventario = parseFloat(elprecioinventario);
        var with_iva = 	arrproducts[i].with_iva;
        var with_iva = parseInt(with_iva);
        var cod_prod = arrproducts[i].cod_prod;
        var description = arrproducts[i].description;
        var idproductanterior = idproduct;
        var nombreradio = 'radio_'+idproductanterior;
        var descuento = arrproducts[i].descuento;
        var descuento = parseFloat(descuento);
        //empaques y subempaques
        var empaque = parseInt(arrproducts[i].empaque);
        var subempaque = parseInt(arrproducts[i].subempaque);

        var percent_may = arrproducts[i].percent_may;
        if(isNaN(percent_may)){
            percent_may = 0;
        }
        percent_may =parseInt(percent_may);

        var pricelist = arrproducts[i].pricelist;
        var  preciolista = arrproducts[i].preciolista;
        var preciolista = parseFloat(preciolista);

        var foto = arrproducts[i].photo;
        if(foto==null || foto=='null' || foto==''){
             foto = '../assets/images/price-3.png'
        }
        var categoria = arrproducts[i].category;

        var tiempo_entrega = arrproducts[i].tiempo_entrega;
        var elstock = arrproducts[i].stock;
        var elstock = parseInt(elstock);
        var info_stock = '';
        if(elstock<=0){
            elstock = '<span class="balanceicon">'+elstock+'</span>';
            if(tiempo_entrega!=''){
                info_stock = '<span class="balanceicon">'+tiempo_entrega+'</span>';
            }
        }else{
            elstock = '<span class="infoicon location">'+elstock+'</span>';
            info_stock = '';
        }
        lalista = '<li><label class="switch switch-green">';
        lalista += '<input id="standard_'+idproduct+'" onchange="update_listprice(this, '+idproduct+', '+with_iva+');"  value="'+elprecioinventario+'" type="radio" name="'+nombreradio+'" class="switch-input" >';
        lalista += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
        lalista += '<span class="switch-handle"></span>';
        lalista += '</label> <label style="display: inline; cursor: pointer;" for="standard_'+idproduct+'">&nbsp; Precio Final</label></li>';

        if(pricelist==null || pricelist=='null'){
            var elprecio = elprecioinventario;
        }else{
            var elprecio = preciolista;
            lalista += '<li><label class="switch">';
            lalista += '<input id="'+pricelist+'_'+idproduct+'" onchange="update_listprice(this, '+idproduct+', '+with_iva+');" checked value="'+elprecio+'" type="radio" name="'+nombreradio+'" class="switch-input chkpricelist" >';
            lalista += '<span class="switch-label" data-on="SI" data-off="NO"></span>';
            lalista += '<span class="switch-handle"></span>';
            lalista += '</label> <label style="display: inline; cursor: pointer;" for="'+pricelist+'_'+idproduct+'">&nbsp; '+pricelist+'</label></li>';
        }

        if(with_iva==1){
            var preciomostrar = elprecio*1.12;
            preciomostrar = preciomostrar.toFixed(6);
        }else{
            var preciomostrar = elprecio;
        }

        cod_prod = cod_prod.replace('"', '&#34;');
        description = description.replace('"', '&#34;');
        ///////////////////////////////////////////////////
        list_prod += '<tr class="plan itemcart" id="plan_'+idproductanterior+'">';
        list_prod += '<td>';
        list_prod += '<div class="product-image" style="background-image: url('+foto+')"></div>';
        list_prod += '</td>';
        list_prod += '<td colspan="2">';
        list_prod += '<div class="product-name plan-title" style="font-size: 14px;">'+cod_prod+' - '+description+'</div>';
        list_prod += '<div class="product-details"> <strong>Cat: '+categoria +'</strong> | Stock: <strong class="stockitem">'+elstock +'</strong> | Empaque: <strong class="empaque">'+empaque +'</strong> | <strong> Precio Final </strong>';
        list_prod += '</div>';
        list_prod += '</td>';
        list_prod += '<td class="text-md-right">';
        list_prod += '<div class="product-price"> <strong class="balanceicon elprecio" id="precio_'+idproductanterior+'">'+preciomostrar+'</strong> <br> <button onclick="updateStock(this, \''+cod_prod+'\');" class="stock-button btn btn-info btn-sm"><i class="fa fa-redo"></i> Stock</button></div>';
        list_prod += '</td>';
        list_prod += '</tr>';
        list_prod += '<tr style="border-bottom: 2px solid #336699;">';
        list_prod += '<td>';
        list_prod += '</td>';
        list_prod += '<td >';
        list_prod += '<div class="quantity-selector ">';
        list_prod += '<div class="quantity-input">';
        list_prod += '<div class="input-group cart-total-discount" data-demo="locote">';
        list_prod += '<div class="input-group-prepend input-group-sm">';
        list_prod += '<div class="input-group-text" onclick="addCartQty(1, \'dto_'+idproductanterior+'\', 0, 1)" style="background-color: #ff3d00; color: #fff; cursor: pointer;">';
        list_prod += '<div class="os-icon os-icon-minus2"></div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '<input class="form-control form-control-sm" type="text" class="discount numberqty" value="'+percent_may+'" min="0"  name="dto_'+idproductanterior+'" id="dto_'+idproductanterior+'">';
        list_prod += '<div class="input-group-append input-group-sm" >';
        list_prod += '<div class="input-group-text" onclick="addCartQty(2, \'dto_'+idproductanterior+'\', 0, 1)"  style="background-color: #ff3d00; color: #fff; cursor: pointer;">';
        list_prod += '<div class="os-icon os-icon-plus"></div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '</td>';
        list_prod += '<td>';
        list_prod += '<div class="quantity-selector ">';
        list_prod += '<div class="quantity-input">';
        list_prod += '<div class="input-group cart-total-discount">';
        list_prod += '<div class="input-group-prepend input-group-sm">';
        list_prod += '<div class="input-group-text" onclick="addCartQty(1, \'qty_'+idproductanterior+'\', 1, 0)" style="background-color: #007b1d; color: #fff; cursor: pointer;">';
        list_prod += '<div class="os-icon os-icon-minus2"></div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '<input class="form-control form-control-sm" type="text" class="qty numberqty" value="1" min="1"  name="qty_'+idproductanterior+'" id="qty_'+idproductanterior+'">';
        list_prod += '<div class="input-group-append input-group-sm">';
        list_prod += '<div class="input-group-text" onclick="addCartQty(2, \'qty_'+idproductanterior+'\', 1, 0)" style="background-color: #007b1d; color: #fff; cursor: pointer;">';
        list_prod += '<div class="os-icon os-icon-plus"></div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '</div>';
        list_prod += '</div>';

        list_prod += '</td>';
        list_prod += '<td class="text-md-right" >';
        list_prod += '<div class="product-price"> <button onclick="add_cart('+contact_id+', '+idproductanterior+', '+empaque+', '+subempaque+', \''+cod_prod+'\', \''+description+'\', '+elprecio+', '+with_iva+', '+percent_may+', \''+tipodescuento+'\' , this);" class="plan-button  btn btn-success btn-sm">Agregar</button>  </div>';
        list_prod += '</td>';
        list_prod += '</tr>';
        if(parseInt(percent_may)>0){
            var tipodescuento='producto';
        }else{
            var tipodescuento='general';
        }
        //////////////////////////////////////////////////////
    }
    return list_prod;
}

function callItems(action,params,button) {
    params += "&language=" + language;

    var ajax_request = $.ajax({
        url: items_url + "/" + action,
        data: params,
        type: 'post',
        //async: false,
        dataType: 'json',
        timeout: 6000,
        beforeSend: function () {
            if (ajax_request != null) {
                ajax_request.abort();
                busy(false, button);
            } else {
                busy(true, button);
            }
        },
        complete: function (data) {
            ajax_request = (function () {
                return;
            })();
            busy(false, button);
        },
        success: function (data) {
            if (data.code == 1) {

                switch (action) {
                    case "loadProdByCat":

                        var arrproducts = data.details;
                        var list_prod = formatCatalogAmpliado(arrproducts);

                        //
                        $('#tablecart').html(list_prod);
                        $('.chkpricelist' ).each(function( index ) {
                            if($( this ).is(':checked')){
                                $( this ).trigger('change');
                            }
                        });

                        break;
                    case "EnviarPedido":
                        if(data.code==1){
                            var idpedido = data.msg;
                            var steps = data.details;
                            var arrstep = steps.split(';');
                            var step_anterior = parseInt(arrstep[0]);
                            var newstep = step_anterior + 1;
                            var totalsteps = parseInt(arrstep[1]);
                            var elestado = arrstep[2];
                            //checkoutrow step1 >
                            var stepclass = 'step'+step_anterior;
                            $( 'li.'+stepclass+' ' ).each(function( index ) {
                                $( this ).remove();
                            });

                            if(elestado=='Proceso'){
                                $('.'+stepclass+' ').removeClass(stepclass).addClass('step'+newstep);
                                $('#idpedidoproceso').val(idpedido);
                                $('#steppedido').val(newstep);
                                var  newparams = $('#frm-checkout .step'+newstep).serialize();
                                toastMessage('Procesando pedido.... por favor espere...', "Enviando...");
                                callItems("EnviarPedido", newparams);
                            }else{
                                var totalpedido =  parseFloat($('.lossubtotales').text());
                                var balancecliente = parseFloat($('#balancecliente').val()) + totalpedido ;
                                var balancecliente = balancecliente.toFixed(2);
                                $('#balancecliente').val(balancecliente);
                                var cupocliente = $("#cupocliente").val();
                                var deuda = parseFloat(cupocliente) - balancecliente;
                                var  deuda = deuda.toFixed(2);
                                //update server balance
                                var newbalance = balancecliente;
                                var contact_id = $("#contact_id").val();

                                $('#btnEnviarPedido').html('<span>Enviar Pedido</span>');
                                $('#btnEnviarPedido').prop('disabled', false);
                                //delete cart
                                cart=[];
                                $('#carrito_check').html('<div class="alert alert-warning">El carrito de compras está vacío.</div>');
                                $('.delivery_date').val('');
                                $('.delivery_time').val('');
                                $('.delivery_note').val('');

                                toastMessage( 'El pedido se ha enviado con éxito.' );
                            }

                        }
                        break;
                    case "loadPedidosProfile":
                        var datos = data.details;
                        var tipo = $('#tipo_pedidos').val();
                        var tr = '';
                        var laclase = '';
                        var estadop = '';
                        var totalmonto = 0;
                        var totalitems = 0;
                        for (var i = 0; i < datos.length; i++) {
                            var idpedido = datos[i].idpedido;
                            var driver_id = datos[i].driver_id;
                            var status = datos[i].status;
                            var fecha = datos[i].date_created;
                            var fecha_entrega = datos[i].fecha_entrega;
                            var hora_entrega = datos[i].hora_entrega;
                            var agente = datos[i].agente;
                            var total = parseFloat(datos[i].total);
                            var totalmonto = totalmonto + total;
                            total = total.toFixed(2);
                            var items = datos[i].total_items;
                            totalitems = totalitems + parseInt(items);
                            switch (status) {
                                case "Proforma":
                                    estadop = '<span class="badge badge-default">' + status + '</span>';
                                    break;
                                case "Pendiente":
                                    estadop = '<span class="badge badge-warning">' + status + '</span>';
                                    break;
                                case "Importado":
                                    estadop = '<span class="badge badge-primary">' + status + '</span>';
                                    break;
                                case "Entregado":
                                    estadop = '<span class="badge badge-success">' + status + '</span>';
                                    break;
                                case "Cancelado":
                                    estadop = '<span class="badge badge-danger">' + status + '</span>';
                                    break;
                            }
                            if (status == 'Pendiente') {
                                laclase = 'active';
                            } else {
                                laclase = '';
                            }
                            if (tipo == 'resumen') {
                                tr += '<tr class="' + laclase + '">';
                                tr += '<td>' + agente + '</td>';
                                tr += '<td>' + fecha + '</td>';
                                tr += '<td>' + estadop + '</td>';
                                tr += '<td class="text-right">' + fecha_entrega + ' ' + hora_entrega + '</td>';
                                tr += '<td class="text-right">' + items + '</td>';
                                tr += '<td class="text-right">' + total + '</td>';
                                tr += '</tr>';
                            } else {
                                tr += '<tr  class="' + laclase + '">';
                                tr += '<td><img class="trdetails" id="img_' + idpedido + '" onclick="getPedidoDetalle(' + idpedido + ', this);" style="cursor: pointer;" src="../assets/images/plus.png"></td>';
                                tr += '<td>' + agente + '</td>';
                                tr += '<td>' + fecha + '</td>';
                                tr += '<td>' + estadop + '</td>';
                                tr += '<td class="text-right">' + items + '</td>';
                                tr += '<td class="text-right">' + total + '</td>';
                                tr += '</tr>';
                            }

                        }
                        if (tipo == 'resumen') {
                            $('#pedidos_perfil').html(tr);
                            $('.totalmonto').html(totalmonto.toFixed(2));
                            $('.totalitems').html(totalitems);
                            load_chart_contact();
                        } else {
                            $('#pedidos_perfil_cliente').DataTable().destroy();
                            $('#pedidos_perfil_tab').html(tr);
                            $('.totalmontot').html(totalmonto.toFixed(2));
                            $('.totalitemst').html(totalitems);

                            $('#pedidos_perfil_cliente').DataTable({
                                paging: false,
                                columnDefs: [
                                    {
                                        targets: 0,                       // Column number which needs to be modified
                                        orderable: false,                 // Column is not sortable
                                        className: 'text-left ',           // Optional - class to be applied to this table cell
                                        width: '10%'
                                    },
                                    {
                                        targets: [1],                     // Column number which needs to be modified
                                        className: 'th-cell text-left',       // Optional - class to be applied to this table cell - th-cell simulate th style
                                        width: '30%'
                                    }, {
                                        targets: [2],                     // Column number which needs to be modified
                                        className: ' ',       // Optional - class to be applied to this table cell - th-cell simulate th style
                                        width: '26%'
                                    }, {
                                        targets: [3],                     // Column number which needs to be modified
                                        className: ' ',       // Optional - class to be applied to this table cell - th-cell simulate th style
                                        width: '14%'
                                    },
                                    {
                                        targets: [4],                     // Column number which needs to be modified
                                        className: ' text-left ',          // Optional - class to be applied to this table cell
                                        width: '10%'
                                    },
                                    {
                                        targets: [5],                     // Column number which needs to be modified
                                        className: ' text-center ', // Optional - class to be applied to this table cell
                                        width: '10%'
                                    }
                                ]
                            });
                            load_productos_maspedidos();
                        }
                        break;
                    case "getVentasCat":
                        datos = data.details;
                        var arrventascats = [];
                        var seriescat = [];
                        var ventas_cat = 0;
                        var cat_ini = '';
                        var fecha_ini = '';
                        for (var j = 0; j < datos.length; j++) {
                            var category = datos[j].category;
                            seriescat.push(category);
                            var ventacat = parseFloat(datos[j].total);
                            ventacat = ventacat.toFixed(2);
                            ventacat = parseFloat(ventacat);
                            arrventascats.push(ventacat);
                        }

                        Highcharts.chart('cat_bar', {
                            chart: {
                                type: 'bar'
                            },

                            title: {
                                text: 'Categorías más Pedidas'
                            },
                            subtitle: {
                                text: 'Fuente: <a target="_blank" href="https://sellermanager.co">API de Seller Manager</a>'
                            },
                            xAxis: {
                                categories: seriescat,
                                title: {
                                    text: null
                                }
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: 'Monto ($)',
                                    align: 'high'
                                },
                                labels: {
                                    overflow: 'justify'
                                }
                            },
                            tooltip: {
                                valueSuffix: ' $'
                            },
                            plotOptions: {
                                bar: {
                                    dataLabels: {
                                        enabled: true
                                    },
                                    colorByPoint: true
                                },
                            },
                            colors: colores,
                            legend: {
                                layout: 'vertical',
                                align: 'right',
                                verticalAlign: 'top',
                                x: -40,
                                y: 20,
                                floating: true,
                                borderWidth: 1,
                                backgroundColor: ((Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'),
                                shadow: true
                            },
                            credits: {
                                enabled: false
                            },
                            series: [{
                                name: 'Pedidos Total',
                                data: arrventascats
                            }]
                        });
                        if($('#prod_maspedidostable').exists()){
                            getVentasTableProd();
                        }
                        break;
                    case "getClientesCat":

                        var datos = data.details;
                        var arrventascats = [];
                        var arrcats = [];
                        //     alert(datos[0].category);
                        for (var j = 0; j < datos.length; j++) {
                            var categoria = datos[j].category;
                            var total = parseFloat(datos[j].total);
                            arrcats.push(categoria);
                            arrcats.push(total);
                            arrventascats.push(arrcats);
                            arrcats = [];
                        }

                        Highcharts.chart('customer_profle_chart2', {
                            chart: {
                                type: 'pie',
                                options3d: {
                                    enabled: true,
                                    alpha: 45,
                                    beta: 0
                                }
                            },
                            title: {
                                text: 'Pedidos del Cliente por Categoría'
                            },
                            credits: {
                                enabled: false
                            },
                            tooltip: {
                                pointFormat: '{series.name}: <b>${point.y:.1f}</b>'
                            },
                            plotOptions: {
                                pie: {
                                    allowPointSelect: true,
                                    cursor: 'pointer',
                                    depth: 35,
                                    dataLabels: {
                                        enabled: true,
                                        format: '{point.name}'
                                    },
                                    showInLegend: true
                                }
                            },
                            series: [{
                                type: 'pie',
                                name: 'Pedidos por Categoría',
                                data: arrventascats
                            }]
                        });
                        break;
                    case "getVentasClientes":
                        datos = data.details;
                        var arrventasclientes = [];
                        var arrfechasclientes = [];
                        var seriescliente = [];
                        var ventas_cliente = 0;
                        var arrclientes = [];
                        for (var i = 0; i < datos.length; i++) {

                            var fullname = datos[i].fullname;
                            var ruc = datos[i].ruc;
                            arrclientes.push(fullname);

                            var venta = parseFloat(datos[i].total);
                            venta = venta.toFixed(2);
                            venta = parseFloat(venta);
                            arrventasclientes.push(venta);
                            //

                        }

                        ventas_cliente = ventas_cliente.toFixed(2);

                        Highcharts.chart('area_clientes', {
                            chart: {
                                type: 'column'
                            },
                            title: {
                                text: '20 Clientes con mayores pedidos en el periodo'
                            },

                            subtitle: {
                                text: 'Fuente: Seller Manager'
                            },
                            xAxis: {
                                categories: arrclientes
                            },
                            yAxis: {
                                title: {
                                    text: 'Pedidos (Total Monto)'
                                }
                            },
                            plotOptions: {
                                series: {
                                    label: {
                                        connectorAllowed: false
                                    }
                                }
                            },

                            series: [{
                                name: 'Pedidos Totales',
                                data: arrventasclientes
                            }],
                            responsive: {
                                rules: [{
                                    condition: {
                                        maxWidth: 500
                                    },
                                    chartOptions: {
                                        legend: {
                                            layout: 'horizontal',
                                            align: 'center',
                                            verticalAlign: 'bottom'
                                        }
                                    }
                                }]
                            }

                        });

                        $('.nav-tabs a[href="#clientes_cat_area"]').tab('show');
                        getVentasTableCliente();
                        break;
                    case "pedidoDetalle":
                        var datosdetalle = data.details;
                        if ($('#pedido_detalle_cliente').exists()) {
                            var origen_detalle = 'perfil';
                        } else {
                            var origen_detalle = 'pedidos';
                        }
                        var fila = '';
                        var fila_detalle = '';
                        fila_detalle += '<thead class="upper bg-green-ll  br-concrete-ll br-sm">';
                        fila_detalle += '<tr class="bg-green-ll" style="border-bottom: 3px solid #fff; color: #3d494f; min-height: 30px;">';
                        fila_detalle += '<th width="10%">Código</th>';
                        fila_detalle += '<th width="30%">Producto</th>';
                        fila_detalle += '<th width="5%">Cant</th>';
                        fila_detalle += '<th width="10%">Precio</th>';
                        fila_detalle += '<th width="12%">Desc</th>';
                        fila_detalle += '<th width="12%">Subtotal</th>';
                        fila_detalle += '<th width="11%">IVA</th>';
                        fila_detalle += '<th width="10%">Total</th>';
                        fila_detalle += '</tr></thead><tbody class="bg-green-l">';
                        var qtotal = 0;
                        var stotal = 0;
                        var ttotal = 0;
                        var stotaliva = 0;
                        status = datosdetalle[0].status;
                        idpedido = datosdetalle[0].idpedido;
                        var listaestados = '<select style="width: 150px;" onchange="cambiar_pedido(' + idpedido + ', this);">';
                        if (status == 'Proforma') {
                            listaestados += '<option selected value="Proforma">Proforma</option>';
                        } else {
                            listaestados += '<option value="Proforma">Proforma</option>';
                        }
                        if (status == 'Pendiente') {
                            listaestados += '<option selected value="Pendiente">Pendiente</option>';
                        } else {
                            listaestados += '<option value="Pendiente">Pendiente</option>';
                        }
                        if (status == 'Facturado') {
                            listaestados += '<option selected value="Facturado">Facturado</option>';
                        } else {
                            listaestados += '<option value="Facturado">Facturado</option>';
                        }
                        if (status == 'Entregado') {
                            listaestados += '<option selected value="Entregado">Entregado</option>';
                        } else {
                            listaestados += '<option value="Entregado">Entregado</option>';
                        }
                        if (status == 'Anulado') {
                            listaestados += '<option selected value="Anulado">Anulado</option>';
                        } else {
                            listaestados += '<option value="Anulado">Anulado</option>';
                        }
                        listaestados += '</select>';
                        if (origen_detalle == 'pedidos') {
                            $('#titulo_pedido').append('<span class="pull-right"> <span style="padding-top: 15px; color: #ff0700; font-weight: bold;"> Cambiar Estado: </span> ' + listaestados + ' </span> ');
                        }

                        for (var i = 0; i < datosdetalle.length; i++) {
                            var idproduct = datosdetalle[i].idproduct;
                            var cod_prod = datosdetalle[i].cod_prod;
                            var description = datosdetalle[i].description;
                            var quantity = datosdetalle[i].quantity;
                            var price = datosdetalle[i].price;
                            var descuento = datosdetalle[i].descuento;
                            var subtotal = parseFloat(datosdetalle[i].subtotal);
                            var subtotal_iva = parseFloat(datosdetalle[i].subtotal_iva);
                            var total = parseFloat(subtotal) + parseFloat(subtotal_iva);
                            total = total.toFixed(2);
                            subtotal_iva = subtotal_iva.toFixed(2);
                            subtotal = subtotal.toFixed(2);
                            //subtotales
                            qtotal = parseFloat(qtotal) + parseFloat(quantity);
                            stotal = parseFloat(stotal) + parseFloat(subtotal);
                            stotaliva = parseFloat(stotaliva) + parseFloat(subtotal_iva);
                            ttotal = parseFloat(ttotal) + parseFloat(total);
                            if (origen_detalle == 'pedidos') {
                                fila += '<tr><td>' + idproduct + '</td><td>' + cod_prod + '</td><td>' + description + '</td><td>' + quantity + '</td><td>' + price + '</td><td>' + descuento + '%</td><td>' + subtotal + '</td><td>' + subtotal_iva + '</td><td>' + total + '</td></tr>';
                            } else {
                                fila_detalle += '<tr style="border-bottom: 1px solid #fff;"><td>' + cod_prod + '</td><td>' + description + '</td><td class="text-center">' + quantity + '</td><td>' + price + '</td><td class="text-center">' + descuento + '%</td><td>' + subtotal + '</td><td>' + subtotal_iva + '</td><td>' + total + '</td></tr>';
                            }

                        }
                        qtotal = qtotal.toFixed(2);
                        stotal = stotal.toFixed(2);
                        stotaliva = stotaliva.toFixed(2);
                        ttotal = ttotal.toFixed(2);
                        fila += '<tr style="border-top: 4px solid #336699;"><td colspan="3" style="text-align: right; font-weight: bold; color: #336699;">Subtotal</td> <td style="font-weight: bold; color: #336699;">' + qtotal + '</td><td> </td><td style="font-weight: bold; color: #336699;">' + stotal + '</td><td style="font-weight: bold; color: #336699;">' + stotaliva + '</td><td style="font-weight: bold; color: #336699;">' + ttotal + '</td><td></td></tr>';
                        // fila_detalle += '<tr style="border-top: 4px solid #336699;"><td colspan="3" style="text-align: right; font-weight: bold; color: #336699;">Subtotal</td> <td style="font-weight: bold; color: #336699;">'+qtotal+'</td><td> </td><td style="font-weight: bold; color: #336699;">'+stotal+'</td><td style="font-weight: bold; color: #336699;">'+stotaliva+'</td><td style="font-weight: bold; color: #336699;">'+ttotal+'</td><td></td></tr>';

                        if (origen_detalle == 'pedidos') {
                            $('#pedido_detale_body').html(fila);
                        } else {
                            //    $('#pedido_detale_cliente').html(fila_detalle);
                            var idpedidoarr = params.split('=');

                            idpedidoarr = idpedidoarr[1].split('&');
                            idpedido = idpedidoarr[0];

                            var imgactual = $('#img_' + idpedido);

                            if ($(imgactual).hasClass('trdetails')) {
                                $(imgactual).removeClass('trdetails').addClass('tractual');
                                $(imgactual).attr('src', '../assets/images/minus.png');

                            } else {
                                $(imgactual).removeClass('tractual').addClass('trdetails');
                                $(imgactual).attr('src', '../assets/images/plus.png');
                            }
                            var dt = $('#pedidos_perfil_cliente').DataTable();
                            var tr = $(imgactual).closest('tr');
                            var row = dt.row(tr);

                            if (row.child.isShown()) {
                                tr.removeClass('details');
                                tr.removeClass('bg-warning');
                                row.child.hide();
                            } else {
                                fila_detalle += '</tbody>';
                                tr.addClass('details');
                                tr.addClass('bg-warning');
                                row.child(fila_detalle).show();
                                idpedidoarr = null;
                            }
                        }

                        $('#pedido_detalle').modal('show');

                        break;
                    case "pedidoEstado":
                        nAlert(data.msg, "success");
                        location.reload();
                        break;
                    case "getItemSubcategories":
                        var itemsubcategoriesarr = data.details;
                        var cant = itemsubcategoriesarr.length;
                        var opciones = '<option value="">Seleccione la Subcategoría</option>';
                        for (var i = 0; i < cant; i++) {
                            opciones += '<option value="' + itemsubcategoriesarr[i].idsubcategory + '">' + itemsubcategoriesarr[i].subcategory + '</option>';
                        }
                        $('#itemsubcategory').html(opciones);
                        break;
                    case "contactMapChartProduct":
                        var totaldatos = data.details;
                        var cant = totaldatos.length;
                        var titulografico = "Ventas por Producto, 10 más vendidos";
                        var laserie2 = [];
                        var lasubserie = [];
                        var colors = ['#3B97B2', '#67BC42', '#FF56DE', '#E6D605', '#BC36FE', '#000', '#FF56DE', '#E6D605', '#BC36FE', '#000'];
                        for (var i = 0; i < cant; i++) {
                            lasubserie = [];
                            var producto = totaldatos[i].description;
                            var totalventa2 = parseInt(totaldatos[i].totalventa);
                            lasubserie.push(producto);
                            lasubserie.push(totalventa2);
                            laserie2.push(lasubserie);
                        }
                        //
                        if ($('#profile_contact_id').exists()) {
                            var idgrafico2 = 'customer_profle_chart';

                        } else {
                            var idgrafico2 = 'grafico_barra';
                        }

                        Highcharts.chart(idgrafico2, {
                            chart: {
                                type: 'column'
                            },
                            title: {
                                text: titulografico
                            },
                            subtitle: {
                                text: 'Fuente: App Seller Manager'
                            },
                            plotOptions: {
                                column: {
                                    colorByPoint: true
                                }
                            },
                            colors: ['#ff284e', '#ff8610', '#48a8c8', '#d05bff', '#9dff52', '#48c49f', '#913bff', '#49c9a3', '#fffc85', '#eec3be'],
                            xAxis: {
                                type: 'category',
                                labels: {
                                    rotation: -45,
                                    style: {
                                        fontSize: '13px',
                                        fontFamily: 'Verdana, sans-serif'
                                    }
                                }
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: 'Ventas Totales'
                                }
                            },
                            legend: {
                                enabled: false
                            },
                            credits: {
                                enabled: false
                            },
                            tooltip: {
                                pointFormat: 'Total pedidos: <b>{point.y:.1f} Unidades</b>'
                            },
                            series: [{
                                name: 'Ventas',
                                colorByPoint: true,
                                data: laserie2,
                                dataLabels: {
                                    enabled: true,
                                    rotation: -90,
                                    color: '#FFFFFF',
                                    align: 'right',
                                    format: '{point.y:.1f}', // one decimal
                                    y: 10, // 10 pixels down from the top
                                    style: {
                                        fontSize: '13px',
                                        fontFamily: 'Verdana, sans-serif'
                                    }
                                }
                            }]
                        });
                        if ($('#profile_contact_id').exists()) {
                            load_clientes_cat();
                        }
                        break;
                    case "contactMapChart":
                        totaldatos = data.details;
                        cant = totaldatos.length;
                        titulografico = "Ventas Totales por Fecha, Ultimos 10";
                        var laserie = [];
                        var lospedidos = [];
                        for (var i = 0; i < cant; i++) {
                            var totalventa = parseInt(totaldatos[i].totalventa);
                            var fechaventa = totaldatos[i].fechaventa;
                            laserie.push(fechaventa);
                            lospedidos.push(totalventa);
                        }
                        //
                        laserie = laserie.reverse();
                        lospedidos = lospedidos.reverse();
                        var idgrafico = 'grafico_linea';
                        Highcharts.chart(idgrafico, {

                            title: {
                                text: titulografico
                            },
                            chart: {
                                type: 'area'
                            },
                            subtitle: {
                                text: 'Fuente: App Seller Manager'
                            },
                            xAxis: {
                                categories: laserie
                            },
                            yAxis: {
                                title: {
                                    text: 'Total Pedidos'
                                }
                            },
                            legend: {
                                layout: 'horizontal',
                                align: 'center',
                                verticalAlign: 'bottom'
                            },

                            plotOptions: {
                                series: {
                                    label: {
                                        connectorAllowed: false
                                    }
                                }
                            },

                            series: [{
                                name: 'Total pedidos',
                                data: lospedidos,
                                color: '#ffc011'
                            }],

                            responsive: {
                                rules: [{
                                    condition: {
                                        maxWidth: 500
                                    },
                                    chartOptions: {
                                        legend: {
                                            layout: 'horizontal',
                                            align: 'center',
                                            verticalAlign: 'bottom'
                                        }
                                    }
                                }]
                            }

                        });
                        callItems("contactMapChartProduct", params);
                        break;
                    case "contactMapChartAgent":
                        totaldatos = data.details;
                        cant = totaldatos.length;
                        titulografico = "Visitas Totales por Fecha, Ultimos 10";
                        laserie = [];
                        var lasvisitas = [];
                        for (var i = 0; i < cant; i++) {
                            var totalvisitas = parseInt(totaldatos[i].totalvisitas);
                            var fechavisita = totaldatos[i].fechavisita;
                            laserie.push(fechavisita);
                            lasvisitas.push(totalvisitas);
                        }
                        //
                        laserie = laserie.reverse();
                        lasvisitas = lasvisitas.reverse();
                        if ($("#pedido_detalle").exists()) {
                            idgrafico = 'grafico_linea2';
                        } else {
                            idgrafico = 'grafico_linea';
                        }

                        Highcharts.chart(idgrafico, {
                            title: {
                                text: titulografico
                            },
                            chart: {
                                type: 'area'
                            },
                            subtitle: {
                                text: 'Fuente: App Seller Manager'
                            },
                            xAxis: {
                                categories: laserie
                            },
                            yAxis: {
                                title: {
                                    text: 'Total Visitas'
                                }
                            },
                            legend: {
                                layout: 'horizontal',
                                align: 'center',
                                verticalAlign: 'bottom'
                            },

                            plotOptions: {
                                series: {
                                    label: {
                                        connectorAllowed: false
                                    }
                                }
                            },

                            series: [{
                                name: 'Total Visitas',
                                data: lasvisitas,
                                color: '#4ed5ae'
                            }],

                            responsive: {
                                rules: [{
                                    condition: {
                                        maxWidth: 500
                                    },
                                    chartOptions: {
                                        legend: {
                                            layout: 'horizontal',
                                            align: 'center',
                                            verticalAlign: 'bottom'
                                        }
                                    }
                                }]
                            }

                        });
                        callItems("contactMapChartAgentClient", params);
                        break;
                    case "loadChartsitemVentas":
                        totaldatos = data.details;
                        cant = totaldatos.length;
                        laserie = [];
                        lospedidos = [];
                        var losimportes = [];
                        for (var i = 0; i < cant; i++) {
                            totalventa = parseInt(totaldatos[i].totalventa);
                            var totalimporte = totaldatos[i].totalimporte;
                            totalimporte = Number(Math.round(totalimporte + 'e2') + 'e-2'); // 1.01
                            //   totalimporte = parseFloat(totalimporte);
                            fechaventa = totaldatos[i].fechaventa;
                            laserie.push(fechaventa);
                            lospedidos.push(totalventa);
                            losimportes.push(totalimporte);
                        }
                        //
                        laserie = laserie.reverse();
                        lospedidos = lospedidos.reverse();
                        losimportes = losimportes.reverse();
                        Highcharts.chart('itemchartcontainer', {
                            chart: {
                                zoomType: 'xy'
                            },
                            title: {
                                text: '<span style="color: #336699; font-weight: bold;">Historial de Pedidos: </span> <span style="color: #932cbc; font-weight: bold;">' + producto + '</span>'
                            },
                            plotOptions: {
                                column: {
                                    colorByPoint: true
                                }
                            },
                            colors: ['#b01e37', '#ff8610', '#48a8c8', '#d05bff', '#9dff52', '#48c49f', '#913bff', '#49c9a3', '#fffc85', '#eec3be'],
                            xAxis: [{
                                categories: laserie,
                                crosshair: true
                            }],
                            yAxis: [{ // Primary yAxis
                                labels: {
                                    format: '{value} U',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                title: {
                                    text: 'Pedidos (Unidades)',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                }
                            }, { // Secondary yAxis
                                title: {
                                    text: 'Ventas',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                labels: {
                                    format: '$ {value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                opposite: true
                            }],
                            tooltip: {
                                shared: true
                            },
                            credits: {
                                enabled: false
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'left',
                                x: 120,
                                verticalAlign: 'top',
                                y: 100,
                                floating: true,
                                backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                            },
                            series: [{
                                name: 'Ventas',
                                type: 'column',
                                yAxis: 1,
                                data: losimportes,
                                tooltip: {
                                    valuePrefix: '$'
                                }

                            }, {
                                name: 'Unidades',
                                type: 'spline',
                                data: lospedidos,
                                tooltip: {
                                    valueSuffix: ' U'
                                },
                                color: '#0000FF'
                            }]
                        });

                        break;
                    case "loadChartsPrice":
                        totaldatos = data.details;
                        load_price_bar(totaldatos, 'pricechartcontainer');
                        break;


                    case "addStockClient":
                        if (data.code == 1) {
                            nAlert(data.msg, "success");//data.details.msg
                            var contact_id = $('#contact_id').val();
                            var tablelist = $('#table_list').DataTable();
                            tablelist.destroy();
                            initTable();
                            $('#contact_id').val('');
                            $('#idproduct').val('');
                            $('#cantidad').val('');
                            $('#typemov').val('');
                            $('#detail').val('');
                        } else {
                            nAlert(data.msg, "warning");//data.details.msg
                        }
                        break;
                    case "addMarks":
                        $(".new-marks").modal('hide');
                        nAlert(data.msg, "success");//data.details.msg
                        tableReload();
                        break;
                    case "getWarehouseInfo":
                        $("#cod_almacen").val(data.details.cod_almacen);
                        $("#fullname").val(data.details.fullname);
                        $("#email").val(data.details.email);
                        $("#phone").val(data.details.phone);
                        $("#address").val(data.details.address);
                        $("#addresss_lat").val(data.details.addresss_lat);
                        $("#addresss_lng").val(data.details.addresss_lng);
                        $("#status").val(data.details.status);

                        $('#provzona').val(data.details.codigoprov).trigger('change');
                        setTimeout(function () {
                            $('#cantonzona').val(data.details.canton);
                        }, 1000);
                        switch (map_provider) {
                            case "google":
                                setMarkerEdit(data.details.addresss_lat, data.details.addresss_lng, 'addresss_lat', 'addresss_lng');
                                break;

                            case "mapbox":
                                mapbox_plotMarkerContact(data.details.addresss_lat, data.details.addresss_lng);
                                break;
                        }

                        break;
                    case "getPedidosEntrega":
                        var listapedidos = [];
                        datos = data.details;
                        for (var i = 0; i < datos.length; i++) {
                            idpedido = datos[i].idpedido;
                            status = datos[i].status;
                            fecha_entrega = datos[i].fecha_entrega;
                            var date_created = datos[i].date_created;
                            var elpedido = {value: idpedido, text: status, fecha: fecha_entrega};
                            listapedidos.push(elpedido);
                        }
                        $('#no_guia').inputpicker({
                            data: listapedidos,
                            fields: [
                                {name: 'value', text: 'Id'},
                                {name: 'text', text: 'Estado'},
                                {name: 'fecha', text: 'Fecha Entrega'}
                            ],
                            autoOpen: true,
                            headShow: true,
                            fieldText: 'value',
                            fieldValue: 'value'
                        });

                        break;
                    case "getItemInfo":
                        $("#graficos_item").show();
                        $("#cod_prod").val(data.details.cod_prod);
                        $("#description").val(data.details.description);
                        $("#price").val(data.details.price);
                        $("#itemcategory").val(data.details.idcategory).trigger('change');

                        $("#unit").val(data.details.unit);
                        $("#unit2").val(data.details.unit2);
                        $("#percent_dist").val(data.details.percent_dist);
                        $("#percent_may").val(data.details.percent_may);
                        $("#idfamily").val(data.details.idfamily);
                        $("#idline").val(data.details.idline);
                        $("#idmark").val(data.details.idmark);
                        var with_iva = data.details.with_iva;
                        if (with_iva == 1) {
                            $('#with_iva').prop('checked', true);
                        } else {
                            $('#with_iva').prop('checked', false);
                        }
                        active = data.details.active;
                        if (active == 1) {
                            $('#active').prop('checked', true);
                        } else {
                            $('#active').prop('checked', false);
                        }
                        var promo = data.details.promo;
                        if (promo == 1) {
                            $('#promo').prop('checked', true);
                        } else {
                            $('#promo').prop('checked', false);
                        }

                        if (data.details.photo != '') {
                            var image = '<img style="width: 300px; height: auto;" src="' + site_url + 'upload/photo/' + data.details.photo + '" />';
                            $(".item-photo").html(image);
                            $('#item_photo').val(data.details.photo);
                        } else {
                            $(".item-photo").html('');
                            $('#item_photo').val('');
                        }

                        setTimeout(function () {
                            $("#itemsubcategory").val(data.details.idsubcategory);
                        }, 500);
                        break;
                    case "getStockInfo":
                        $("#idproduct").val(data.details.idproduct).trigger("chosen:updated");
                        $(".product_list").trigger('change');
                        var valqty = data.details.quantity;
                        if (valqty < 0) {
                            valqty = valqty * (-1);
                        }
                        $("#quantity").val(valqty);
                        $("#type").val(data.details.type);
                        $("#detail").val(data.details.detail);
                        $("#last_update").val(data.details.last_update);
                        break;
                    case "getCategoryInfo":
                        $("#id").val(data.details.idcategory);
                        $("#categorynew").val(data.details.category);
                        $("#cod_category").val(data.details.cod_category);
                        $("#last_update").val(data.details.last_update);
                        break;
                    case "getSubcategoryInfo":
                        $("#itemcategory").val(data.details.idcategory);
                        $("#subcategory").val(data.details.subcategory);
                        $("#last_update").val(data.details.last_update);
                        break;
                    case "getPricelistsInfo":
                        $("#pricelist").val(data.details.pricelist);
                        $("#last_update").val(data.details.last_update);
                        break;
                    case "getPricesInfo":
                        $("#idproduct").val(data.details.idproduct).trigger("chosen:updated");
                        $(".product_list_price").trigger('change');
                        $("#price").val(data.details.price);
                        $("#idlistaprecios").val(data.details.idlistaprecios);
                        break;
                    case "getMarkInfo":
                        $("#itemmark").val(data.details.itemmark);
                        $("#last_update").val(data.details.last_update);
                        break;
                    case "getVentasTotal":
                        datos = data.details;
                        var arrventas = [];
                        var arrfechas = [];
                        var ventas_totales = 0;
                        var lafecha = getQueryVariable(params, 'fechainicio');
                        var body_table = '';
                        for (var i = 0; i < datos.length; i++) {
                            var fechaactual = lafecha;
                            venta = parseFloat(datos[i].total);
                            var fecha_pedido = datos[i].fecha_pedido;
                            var fecha_inicial = datos[0].fecha_pedido;
                            arrventas.push(venta);
                            arrfechas.push(fecha_pedido);
                            venta = venta.toFixed(2);
                            ventas_totales = parseFloat(ventas_totales) + parseFloat(venta);
                            ventas_totales = ventas_totales.toFixed(2);
                            body_table += '<tr><td>' + fecha_pedido + '</td><td>' + numberWithCommas(venta)  + '</td></tr>';
                        }
                        $('#body_ventas_totales').html(body_table);
                        $('#foot_ventas_totales').html('<tr> <td class="bold" style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;">Total Ventas</td>  <td class="bold" style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;">' + numberWithCommas(ventas_totales) + '</td>  </tr>');
                        Highcharts.chart('dash_area', {
                            chart: {
                                type: 'area',
                                spacingBottom: 30
                            },
                            title: {
                                text: 'Pedidos Totales en el Período'
                            },
                            subtitle: {
                                text: '* Se incluyen pedidos facturados sin entregar',
                                floating: true,
                                align: 'right',
                                verticalAlign: 'bottom',
                                y: 15
                            },

                            xAxis: {
                                categories: arrfechas
                            },
                            yAxis: {
                                title: {
                                    text: 'Ventas Totales'
                                },
                                labels: {
                                    formatter: function () {
                                        return (this.value).toFixed(2);
                                    }
                                }
                            },
                            tooltip: {
                                formatter: function () {
                                    return '<b>' + this.series.name + '</b><br/>' +
                                        this.x + ': ' + '<span style="color: #ff0000; font-weight: bold;">' + (this.y).toFixed(2) + '</span>';
                                }
                            },
                            plotOptions: {
                                area: {
                                    fillOpacity: 0.5
                                }
                            },
                            credits: {
                                enabled: false
                            },
                            series: [{
                                name: 'Pedidos App',
                                data: arrventas,
                                color: colores[5]
                            }/*, {
                             name: 'Jane',
                             data: [1, 0, 3, null, 3, 1, 2, 1]
                         }*/]
                        });

                        Highcharts.chart('dash_bar', {
                            chart: {
                                type: 'column'
                            },
                            title: {
                                text: 'Pedidos Totales'
                            },
                            subtitle: {
                                text: 'Fuente: www.sellermanager.co'
                            },
                            xAxis: {
                                categories: arrfechas,
                                crosshair: true
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: 'Ventas ($)'
                                }
                            },
                            tooltip: {
                                headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
                                pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
                                    '<td style="padding:0"><b> ${point.y:.1f}</b></td></tr>',
                                footerFormat: '</table>',
                                shared: true,
                                useHTML: true
                            },
                            plotOptions: {
                                column: {
                                    pointPadding: 0.2,
                                    borderWidth: 0,
                                    colorByPoint: true
                                }
                            },
                            colors: ['#ff284e', '#ff8610', '#48a8c8', '#d05bff', '#9dff52', '#48c49f', '#913bff', '#49c9a3', '#fffc85', '#eec3be'],
                            series: [{
                                name: 'Pedidos App',
                                data: arrventas

                            }]
                        });
                        $('.nav-tabs a[href="#ventas_totales_area"]').tab('show');
                        getVentasTable();
                        break;

                    case "contactMapChartAgentClient":
                        totaldatos = data.details;
                        cant = totaldatos.length;
                        titulografico = "Pedidos por Cliente, 10 que más piden";
                        laserie2 = [];
                        lasubserie = [];
                        //       var colors = ['#3B97B2', '#67BC42', '#FF56DE', '#E6D605', '#BC36FE', '#000', '#FF56DE', '#E6D605', '#BC36FE', '#000'];
                        for (var i = 0; i < cant; i++) {
                            lasubserie = [];
                            var cliente = totaldatos[i].cliente;
                            totalventa2 = parseInt(totaldatos[i].totalventa);
                            lasubserie.push(cliente);
                            lasubserie.push(totalventa2);
                            laserie2.push(lasubserie);
                        }
                        //
                        if ($("#pedido_detalle").exists()) {
                            idgrafico2 = 'grafico_barra2';
                        } else {
                            idgrafico2 = 'grafico_barra';
                        }

                        Highcharts.chart(idgrafico2, {
                            chart: {
                                type: 'column'
                            },
                            title: {
                                text: titulografico
                            },
                            subtitle: {
                                text: 'Fuente: App Seller Manager'
                            },
                            plotOptions: {
                                column: {
                                    colorByPoint: true
                                }
                            },
                            colors: ['#ff284e', '#ff8610', '#48a8c8', '#d05bff', '#9dff52', '#48c49f', '#913bff', '#49c9a3', '#fffc85', '#eec3be'],
                            xAxis: {
                                type: 'category',
                                labels: {
                                    rotation: -45,
                                    style: {
                                        fontSize: '13px',
                                        fontFamily: 'Verdana, sans-serif'
                                    }
                                }
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: 'Ventas Totales'
                                }
                            },
                            legend: {
                                enabled: false
                            },
                            tooltip: {
                                pointFormat: 'Total pedidos: <b>{point.y:.1f} Unidades</b>'
                            },
                            series: [{
                                name: 'Ventas',
                                colorByPoint: true,
                                data: laserie2,
                                dataLabels: {
                                    enabled: true,
                                    rotation: -90,
                                    color: '#FFFFFF',
                                    align: 'right',
                                    format: '{point.y:.1f}', // one decimal
                                    y: 10, // 10 pixels down from the top
                                    style: {
                                        fontSize: '13px',
                                        fontFamily: 'Verdana, sans-serif'
                                    }
                                }
                            }]
                        });

                        break;
                    case "getVentasProd":
                        datos = data.details;
                        var arrventasprods = [];
                        var arritems = [];
                        var ventas_prod = 0;
                        var body_table_prod = '';
                        var cod_ini = '';
                        fecha_ini = '';
                        for (var j = 0; j < datos.length; j++) {
                            var item = datos[j].description;
                            arritems.push(item);
                            venta = parseFloat(datos[j].total);
                            venta = venta.toFixed(2);
                            venta = parseFloat(venta);
                            ventas_prod = parseFloat(ventas_prod) + venta;

                            arrventasprods.push(venta);

                            body_table_prod += '<tr><td>' + item + '</td><td style="text-align: right;">' + numberWithCommas(venta.toFixed(2))  + '</td></tr>';
                        }

                        var ventas_prod = ventas_prod.toFixed(2);
                        $('#body_prod_totales').html(body_table_prod);
                        $('#foot_prod_totales').html('<tr> <td  class="bold" style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;">Total Ventas</td>  <td class="bold" style="border-bottom-style: solid !important; border-bottom-color: #3c88a4 !important; border-bottom-width: 4px !important;">' + numberWithCommas(ventas_prod) + '</td>  </tr>');

                        Highcharts.chart('prod_bar', {
                            chart: {
                                type: 'bar'
                            },

                            title: {
                                text: '20 Productos más Pedidos'
                            },
                            subtitle: {
                                text: 'Fuente: <a target="_blank" href="https://sellermanager.co">API de Seller Manager</a>'
                            },
                            xAxis: {
                                categories: arritems,
                                title: {
                                    text: null
                                }
                            },
                            yAxis: {
                                min: 0,
                                title: {
                                    text: 'Monto ($)',
                                    align: 'high'
                                },
                                labels: {
                                    overflow: 'justify'
                                }
                            },
                            tooltip: {
                                valueSuffix: ' $'
                            },
                            plotOptions: {
                                bar: {
                                    dataLabels: {
                                        enabled: true
                                    },
                                    colorByPoint: true
                                },
                            },
                            colors: colores,
                            legend: {
                                layout: 'vertical',
                                align: 'right',
                                verticalAlign: 'top',
                                x: -40,
                                y: 20,
                                floating: true,
                                borderWidth: 1,
                                backgroundColor: ((Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'),
                                shadow: true
                            },
                            credits: {
                                enabled: false
                            },
                            series: [{
                                name: 'Pedidos Total',
                                data: arrventasprods
                            }]
                        });
                        $('#prod_bar').attr('style', 'height: 1200px !important');
                        load_ventas_cat();
                        $('.nav-tabs a[href="#prod_totales_area"]').tab('show');
                        break;
                    case "getContactChart":
                        totaldatos = data.details;
                        cant = totaldatos.length;
                        titulografico = "Ventas Totales por Fecha, Ultimos 10";
                        laserie = [];
                        lospedidos = [];
                        losimportes = [];
                        for(i=0; i<cant;i++){
                            totalventa = parseInt(totaldatos[i].totalventa);
                            totalimporte = totaldatos[i].totalimporte;
                            totalimporte = Number(Math.round(totalimporte+'e2')+'e-2'); // 1.01
                            //   totalimporte = parseFloat(totalimporte);
                            fechaventa = totaldatos[i].fechaventa;
                            laserie.push(fechaventa);
                            lospedidos.push(totalventa);
                            losimportes.push(totalimporte);
                        }
                        //
                        laserie = laserie.reverse();
                        lospedidos = lospedidos.reverse();
                        losimportes = losimportes.reverse();

                        if($('#profile_contact_id').exists()){
                            idgrafico = 'customer_profle_chart3';
                            contact_id = $('#profile_contact_id').val();
                            fecha='';
                            params="contact_id="+contact_id;
                            params +="&date="+fecha;
                            callItems("contactMapChartProduct",params);
                        }else{
                            idgrafico = 'chartcontainer';
                        }
                        Highcharts.chart(idgrafico, {
                            chart: {
                                zoomType: 'xy'
                            },
                            title: {
                                text: titulografico
                            },
                            subtitle: {
                                text: 'Fuente: Seller Manager App'
                            },
                            credits: {
                                enabled: false
                            },
                            plotOptions: {
                                column: {
                                    colorByPoint: true
                                }
                            },
                            colors: ['#ff284e', '#ff8610','#48a8c8','#d05bff', '#9dff52', '#48c49f', '#913bff', '#49c9a3', '#fffc85', '#eec3be'],

                            xAxis: [{
                                categories: laserie,
                                crosshair: true
                            }],
                            yAxis: [{ // Primary yAxis
                                labels: {
                                    format: '{value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                },
                                title: {
                                    text: 'Unidades',
                                    style: {
                                        color: Highcharts.getOptions().colors[1]
                                    }
                                }
                            }, { // Secondary yAxis
                                title: {
                                    text: 'Monto Total',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                labels: {
                                    format: '$ {value}',
                                    style: {
                                        color: Highcharts.getOptions().colors[0]
                                    }
                                },
                                opposite: true
                            }],
                            tooltip: {
                                shared: true
                            },
                            legend: {
                                layout: 'vertical',
                                align: 'left',
                                x: 120,
                                verticalAlign: 'top',
                                y: 100,
                                floating: true,
                                backgroundColor: (Highcharts.theme && Highcharts.theme.legendBackgroundColor) || '#FFFFFF'
                            },
                            series: [{
                                name: 'Monto Total del Pedido',
                                type: 'column',
                                yAxis: 1,
                                data: losimportes,
                                tooltip: {
                                    valuePrefix: '$ '
                                }

                            }, {
                                name: 'Unidades',
                                type: 'spline',
                                data: lospedidos,
                                tooltip: {
                                    valueSuffix: ' Unidades'
                                },
                                color: '#3c88a4'
                            }]
                        });
                        break;
                    case "productosMaspedidos":
                        datos = data.details;
                        var fila_prod = '';
                        var totalcantidad = 0;
                        totalmonto = 0;
                        var totalrentabilidad = 0;
                        for (var i = 0; i < datos.length; i++) {
                            var item = datos[i].description;
                            var cantidad = datos[i].cantidad;
                            var monto = parseFloat(datos[i].monto);
                            var rentabilidad = parseFloat(datos[i].rentabilidad);
                            var totalcantidad = totalcantidad + parseInt(cantidad);
                            totalmonto = totalmonto + monto;
                            var totalrentabilidad = totalrentabilidad + rentabilidad;
                            var monto = monto.toFixed(2);
                            rentabilidad = rentabilidad.toFixed(2);
                            fila_prod += '<tr><td>' + item + '</td><td class="text-center">' + cantidad + '</td><td class="text-right">' + monto + '</td><td class="text-right">' + rentabilidad + '%</td></tr>';
                        }
                        $("#productos_perfil_tab").html(fila_prod);
                        $('.totalcantidad').html(totalcantidad);
                        $('.totalmonto').html(totalmonto.toFixed(2));
                        totalrentabilidad = totalrentabilidad / datos.length;
                        $('.totalrentabilidad').html(totalrentabilidad.toFixed(2) + '%');
                        break;

                }
            } else {

                //failed mycon
                switch (action) {
                    case "loadPedidosProfile":

                        break;
                    default :
                        nAlert(data.msg, "warning");
                        if (data.msg == 'Error al ingresar') {
                            location.reload();
                        }

                        break;
                }

            }
        },
        error: function (request, error) {

        }
    });
}

function buscar_item(){
    var contact_id = $("#contact_id").val();
    var idcategory = $(".cat_id").val();
    var nombre_item = $("#buscar_item").val();
    if(contact_id==''){
        toastMessage( 'Por favor seleccione el cliente.', 'Error');
        return false;
    }
    $('#tablecart').html('');
    var params = "idcategory="+idcategory;
    params += '&contact_id='+contact_id;
    params += '&nombre_item='+nombre_item;
   callItems('loadProdByCat', params);

}


