var mapbox;
var mapbox_marker = [];
var mapbox_bounds = [];
var mapbox_sender;
var mapbox_marker_sender = [];
var mapbox_bounds_sender = [];
var ajax_request_6;

mapbox_setMapCenter = function(lat, lng){
	mapbox.setView(new L.LatLng(lat, lng), 15);
};

mapbox_sender_setMapCenter = function(lat, lng){
	mapbox_sender.setView(new L.LatLng(lat, lng), 15);
};

mapbox_fitMap = function(){
	mapbox.fitBounds(mapbox_bounds, {padding: [30, 30]}); 
};

mapbox_sender_fitMap = function(){
	mapbox_sender.fitBounds(mapbox_bounds, {padding: [30, 30]});
};

mapbox_PlotMap = function(div, lat , lng){
	
	if (mapbox != undefined) {
		 mapbox_tmpmarker.forEach(function(obj) {
			mapbox.removeLayer(obj);
		})

	 	for(i in mapbox._layers) {
			if(mapbox._layers[i]._path != undefined) {
				try {
					mapbox.removeLayer(mapbox._layers[i]);
				}
				catch(e) {
					console.log("problem with " + e + mapbox._layers[i]);
				}
			}
		}
		return false;
	}
	if($('#'+div).exists()){
		mapbox = L.map(div,{
			scrollWheelZoom:true,
			zoomControl:true
		}).setView([lat,lng], 15 );

		L.tileLayer('https://clusterapi.com/osm_tiles/{z}/{x}/{y}.png?access_token='+mapbox_token, {
			maxZoom: 18,
			attribution: 'Hosted by <a target="_blank" href="https://sellermanager.co">Seller Manager</a> &copy; <a href="https://openstreetmap.org">OpenStreetMap</a> contributors © <a target="_blank" href="https://www.creativos-online.com">Creativos Online S.A.</a>',
			id: 'mapbox.streets'
		}).addTo(mapbox);
	}
	if($('#visitasAutoS').exists()){
		dibujarRutaMapa();
	}
};

mapbox_sender_PlotMap = function(div, lat , lng){

	if (mapbox_sender != undefined) {
		mapbox_sender_tmpmarker.forEach(function(obj) {
			mapbox_sender.removeLayer(obj);
		});

		for(i in mapbox_sender._layers) {
			if(mapbox_sender._layers[i]._path != undefined) {
				try {
					mapbox_sender.removeLayer(mapbox_sender._layers[i]);
				}
				catch(e) {
					console.log("problem with " + e + mapbox_sender._layers[i]);
				}
			}
		}
		return false;
	}
	if($('#'+div).exists()){
		mapbox_sender = L.map(div,{
			scrollWheelZoom:true,
			zoomControl:true
		}).setView([lat,lng], 15 );

		L.tileLayer('https://clusterapi.com/osm_tiles/{z}/{x}/{y}.png?access_token='+mapbox_token, {
			maxZoom: 18,
			attribution: 'Hosted by <a target="_blank" href="https://sellermanager.co">Seller Manager</a> &copy; <a href="https://openstreetmap.org">OpenStreetMap</a> contributors © <a target="_blank" href="https://www.creativos-online.com">Creativos Online S.A.</a>',
			id: 'mapbox.streets'
		}).addTo(mapbox_sender);
	}

};

mapbox_newtaskAPI = function(data, auto_fit){
    if ( !empty(data)) {
        task_id = data.task_id;
        status_raw = data.status;
        estado = data.estado;
        lat = data.task_lat;
        lng = data.task_lng;
        trans_type = data.trans_type;
        calcolor = data.calcolor;
        customer_name = data.customer_name;
        delivery_address = data.delivery_address;
        delivery_date = data.delivery_date;
        driver_name =  data.driver_name;
        driver_id =  data.driver_id;

            if (!empty(lat)){

                if ( map_hide_delivery==1){
                    if ( trans_type=="delivery"){
                        return;
                    }
                }

                if ( map_hide_pickup==1){
                    if ( trans_type=="pickup"){
                        return;
                    }
                }

                if ( map_hide_success_task==1){
                    if ( status_raw=="successful"){
                        return;
                    }
                }

                info_html='';
				info_html+="<div class=\"map-info-window\">";
				info_html+="<h4>"+ jslang.task_id + ": " + task_id+"</h4>";
				info_html+="<h5>"+ jslang.name + ": " + customer_name+"</h5>";
				info_html+="<p>"+delivery_address+"</p>";
				info_html+="<p class=\"inline green-button small rounded\">"+trans_type+"</p>";
				info_html+="<p class=\"inline orange-button-small rounded\">"+estado+"</p>";
				info_html+="<a href=\"javascript:;\"  class=\"top10 task-details\" data-id=\""+task_id+"\"  >"+jslang.details+"</a>";
				info_html+="</div>";

                latlng = [lat,lng];
                mapbox_bounds.push( latlng );
                optionss = mapbox_getIcon( trans_type, status_raw );
				mapbox_marker[task_id] = L.marker([lat,lng], { icon : L.BeautifyIcon.icon(optionss) } ).addTo(mapbox);
				mapbox_marker[task_id].bindPopup(info_html);

            } /*empty val*/

        if(auto_fit){
            mapbox_fitMap();
        }
    }
};


mapbox_plotTaskMap = function(data, auto_fit){

	if ( data.length >0) {
		$.each( data , function( index, val ) {
			addtomap= true;
			lat = val.lat;
			lng = val.lng;
			if(lat=='' || lat==0 || lat=='0' || lat==undefined || lat==null || lat=='null' || parseFloat(lat)>1.546917 || parseFloat(lat)<-5.134644 || parseFloat(lng)<-81.7120488 || parseFloat(lng)>-75.0145857){
				addtomap = false;
			}
			driver_id = val.driver_id;
			if (!empty(val.lat && addtomap==true)){
				
				if ( map_hide_delivery==1){
			 	   if ( val.trans_type_raw=="delivery"){
			 	 	   return;
			 	   }
			 	}
			 	if ( map_hide_pickup==1){
			 	 	  if ( val.trans_type_raw=="pickup"){
			 	 	  	   return;
			 	 	  }
			 	 }
			 	 if ( map_hide_success_task==1){
			 	 	  if ( val.status_raw=="successful"){
			 	 	  	   return;
			 	 	  }
			 	}
			 	info_html='';
		 	 
			 	 if ( val.map_type=="restaurant"){
			 	 info_html+="<div class=\"map-info-window\">";
			 	    info_html+="<h4>"+ jslang.task_id + ": " + val.task_id+"</h4>";
			 	    info_html+="<h5>"+ jslang.name + ": " + val.customer_name+"</h5>";
			 	    info_html+="<p>"+val.address+"</p>";
			 	    info_html+="<span onclick=\"getPrueba("+val.task_id+");\" class=\"label label-info \">"+val.trans_type+"</span> ";
			 	    info_html+=" <span class=\"taskstatus inline orange-button-small rounded\">"+val.status+"</span>";
			 	    info_html+="<a href=\"javascript:;\"  class=\"top10 task-details\" data-id=\""+val.task_id+"\"  >"+jslang.details+"</a>";
			 	 info_html+="</div>";
			 	 } else {
                     info_html+="<div class=\"map-info-window\">";
                     info_html+="<h5>"+ jslang.name + ": " + val.first_name+" "+val.last_name+"</h5>";
                     info_html+="<p>Ubicacion: "+lat+", "+lng+"</p>";
                     info_html+="<a href=\"app/agentProfile?id="+val.driver_id+"\" target=\"_blank\"  class=\"top10  label label-success \" >"+jslang.details+"</a>";
                     info_html+="</div>";
			 	 }

			 	 latlng = [lat,lng];
		         mapbox_bounds.push( latlng );
		         		        
		         if ( val.map_type=="restaurant"){
                     options = mapbox_getIcon( val.trans_type_raw, val.status_raw );
					 if(addtomap){
						   mapbox_marker[val.task_id] = L.marker(
							[lat,lng],
							{
							  icon : L.BeautifyIcon.icon(options),
							  status: val.status_raw,
							  trans_type: val.trans_type_raw,
							  marker_type: 'customer',
							  team_id: 	val.team_id,
							  driver_id: driver_id
							}).addTo(mapbox);
							 mapbox_marker[val.task_id].bindPopup(info_html);
							 mapbox.addLayer(mapbox_marker[val.task_id]);
					 }

		         } else {
		         	 icon = mapbox_getDriverIcon( val.is_online );
                     if (mapbox_marker[driver_id] != undefined) {
                         var newLatLng = new L.LatLng(lat, lng);
                         mapbox_marker[driver_id].setLatLng(newLatLng);
                     }else{
                         mapbox_marker[driver_id] = L.marker(
                         	[lat,lng],
							 {
							 	icon : icon,
								name: val.first_name+" "+val.last_name,
                                marker_type: 'driver',
                                team_id: val.team_id,
                                driver_id: driver_id,
								isonline: val.is_online
							 }).addTo(mapbox);

                         mapbox_marker[driver_id].bindPopup(info_html);
                     }
		         }

			} /*empty val*/
		});
		
		if(auto_fit){			
		   mapbox_fitMap();
		}
	}
};

mapbox_getIcon = function(trans_type, status_raw){
	var icon = '';
	var iconsize='';
	if(trans_type=="delivery"){
		switch (status_raw){
			case "successful":	
			 /* icon=delivery_icon_success;
                return default_icon = L.icon({
                    iconUrl: icon,
                    iconSize:     [32, 32], // size of the icon
                    iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                    popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                });*/
                return options = {
                    icon:  'user-check'
                    , prefix: 'fa'
                    , iconShape: 'marker'
                    , borderColor: '#00a802'
                    , textColor: '#00a802'
                    , backgroundColor: '#eaffeb'
                };
			break;
			
			case "failed":
   	 		case "declined":
   	 		case "cancelled":
   	 		/*  icon=delivery_icon_failed;
                return default_icon = L.icon({
                    iconUrl: icon,
                    iconSize:     [32, 32], // size of the icon
                    iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                    popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                });*/
                return options = {
                    icon:  'user-times'
                    , prefix: 'fa'
                    , iconShape: 'marker'
                    , borderColor: '#bb0005'
                    , textColor: '#bb0005'
                    , backgroundColor: '#fff3f1'
                };
   	 		break;
   	 		
   	 		default: 
   	 		 /* icon=map_marker_delivery;
                return default_icon = L.icon({
                    iconUrl: icon,
                    iconSize:     [32, 32], // size of the icon
                    iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                    popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                });*/
                return options = {
                    icon:  'user-clock'
                    , prefix: 'fa'
                    , iconShape: 'marker'
                    , borderColor: '#5400a7'
                    , textColor: '#5400a7'
                    , backgroundColor: '#ffffff'
                };
   	 		break;
		}
	} else {
		switch (status_raw)	{
   	 		case "successful":	
   	 		/*icon=pickup_icon_success;
                return default_icon = L.icon({
                    iconUrl: icon,
                    iconSize:     [32, 32], // size of the icon
                    iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                    popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                });*/
                return options = {
                    icon:  'box-open'
                    , prefix: 'fa'
                    , iconShape: 'marker'
                    , borderColor: '#00a802'
                    , textColor: '#00a802'
                    , backgroundColor: '#cbffdc'
                };
   	 		break;
   	 		
   	 	    case "failed":
   	 		case "declined":
   	 		case "cancelled":
   	 	/*	icon=pickup_icon_failed;
                return default_icon = L.icon({
                    iconUrl: icon,
                    iconSize:     [32, 32], // size of the icon
                    iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                    popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                });*/
                return options = {
                    icon:  'box'
                    , prefix: 'fa'
                    , iconShape: 'marker'
                    , borderColor: '#df0005'
                    , textColor: '#df0005'
                    , backgroundColor: '#ffeff2'
                };
   	 		break;
   	 		
   	 		default: 
   	 		/*icon=map_pickup_icon;
                return default_icon = L.icon({
                    iconUrl: icon,
                    iconSize:     [32, 32], // size of the icon
                    iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
                    popupAnchor:  [0, -33] // point from which the popup should open relative to the iconAnchor
                });*/
                return options = {
                    icon:  'shipping-fast'
                    , prefix: 'fa'
                    , iconShape: 'marker'
                    , borderColor: '#035e98'
                    , textColor: '#035e98'
                    , backgroundColor: '#ccebf7'
                };
   	 		break;
   	 	}
	}
	

};

mapbox_getDriverIcon = function(is_online){
	var icon;
	if(is_online==1){
		icon=driver_icon_online;
	} else {
		icon=driver_icon_offline;
	}
	return default_icon = L.icon({
		iconUrl: icon,
        iconSize:     [32, 32], // size of the icon
        iconAnchor:   [16, 31], // point of the icon which will correspond to marker's location
        popupAnchor:  [0, -30] // point from which the popup should open relative to the iconAnchor
	});
};



mapbox_moveMapMarker = function(lat, lng){
		
	if(empty(lat) || empty(lng)){
		return;
	}		
	if(empty(mapbox_marker)){             	
        mapbox_marker = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox);  
     } else {             	 
     	var newLatLng = new L.LatLng(lat, lng);
     	mapbox_marker.setLatLng(newLatLng); 
     }	
     mapbox_setMapCenter(lat , lng);          
};


mapbox_moveDriverMarker = function(lat, lng, driver_id){

    if(empty(lat) || empty(lng) || empty(driver_id)){
        return;
    }
    is_online=1;
    icon = mapbox_getDriverIcon( is_online );
    if (mapbox_marker[driver_id] != undefined) {
        var newLatLng = new L.LatLng(lat, lng);
        mapbox_marker[driver_id].setLatLng(newLatLng);
    }else{
        mapbox_marker[driver_id] = L.marker([lat,lng], { icon : icon } ).addTo(mapbox);
    }
};

/*TASK MAP*/

var mapbox_d;
var mapbox_autoservicio;
var mapbox_marker_d = [];
var mapbox_bounds_d = [];

mapbox_PlotMapDelivery = function(div, lat , lng){
	
	if (mapbox_d != undefined) {		
		mapbox_d.remove();
	}
	if($('#'+div).exists()){
		mapbox_d = L.map(div,{
			scrollWheelZoom:true,
			zoomControl:true,
		}).setView([lat,lng], 5 );

		L.tileLayer('https://clusterapi.com/osm_tiles/{z}/{x}/{y}.png?access_token='+mapbox_token, {
			attribution: 'Hosted by <a target="_blank" href="https://clusterapi.com">Cluster API</a> &copy; <a href="https://openstreetmap.org">OpenStreetMap</a> contributors © <a target="_blank" href="https://www.creativos-online.com">Creativos Online S.A.</a>',
			maxZoom: 18,
			id: 'mapbox.streets'
		}).addTo(mapbox_d);
	}

};

mapbox_PlotMapAutoservicio = function(div, lat , lng){
	if(empty(div)){
		div ='mapa_ruta_autoservicio';
	}
	 if (mapbox_autoservicio != undefined) {
	 	mapbox_autoservicio.remove();
	}
	if(empty(lat)){
		lat= -2.141516;
		lng = -79.8999;
	}
	if($('#mapa_ruta_autoservicio').exists()){
		mapbox_autoservicio = L.map(div,{
			scrollWheelZoom:true,
			zoomControl:true,
		}).setView([lat,lng], 8 );

		L.tileLayer('https://clusterapi.com/osm_tiles/{z}/{x}/{y}.png', {
			attribution: 'Hosted by <a target="_blank" href="https://clusterapi.com">Cluster API</a> &copy; <a href="https://openstreetmap.org">OpenStreetMap</a> contributors © <a target="_blank" href="https://www.creativos-online.com">Creativos Online S.A.</a>',
			maxZoom: 18,
			id: 'mapbox.streets'
		}).addTo(mapbox_autoservicio);
	}

};

mapbox_initGeocoderDelivery = function(div){
	
	mapbox_marker_d = '';
	
	data = $("#"+div).html();	
	if(empty(data)){
		var geocoder = new MapboxGeocoder({
		    accessToken: mapbox_token ,
		    country: default_country ,
		    flyTo : false
	    });		    
	    document.getElementById(div).appendChild(geocoder.onAdd(mapbox_d));	   
	    
	    $("#"+div +" input").attr("name","delivery_address");
	    $("#"+div +" input").attr("id","delivery_address");
	    $("#"+div +" input").attr("placeholder", jslang.delivery_address );	
	    $("#"+div +" input").attr("autocomplete","off");
	    $("#"+div +" input").attr("required","required");
	    
	    geocoder.on('result', function(ev) {
             dump("ev.result.geometry");             
             resp_geocoder = ev.result.geometry;                                   
             lat = resp_geocoder.coordinates[1];
             lng = resp_geocoder.coordinates[0];
             
             if(empty(mapbox_marker_d)){             	
                mapbox_marker_d = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox_d);  
             } else {             	 
             	var newLatLng = new L.LatLng(lat, lng);
             	mapbox_marker_d.setLatLng(newLatLng); 
             }
             
             mapbox_setMapCenterDelivery(lat , lng);
             
             $("#task_lat").val( lat );
             $("#task_lng").val( lng );
             
             mapbox_marker_d.on('dragend', function (e) {	
             	var latlng = e.target.getLatLng();
             	dump(' lat: '+latlng.lat);
             	dump(' lng: '+latlng.lng);
			    $("#task_lat").val( latlng.lat );
                $("#task_lng").val( latlng.lng );
			});
		             
        });
	    
	}
};

mapbox_setMapCenterDelivery = function(lat, lng){
	if(mapbox_d!=undefined){
		mapbox_d.setView(new L.LatLng(lat, lng), 15);
	}

};


mapbox_plotMarkerDelivery = function(lat, lng){
		
	if(empty(lat) || empty(lng)){
		return;
	}
		
	if(empty(mapbox_marker_d)){
		if(mapbox_d!=undefined){
			mapbox_marker_d = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox_d);
		}
     } else {
     	var newLatLng = new L.LatLng(lat, lng);
     	mapbox_marker_d.setLatLng(newLatLng); 
     }	
     mapbox_setMapCenterDelivery(lat , lng);
	if(!empty(mapbox_marker_d)){
		mapbox_marker_d.on('dragend', function (e) {
			var latlng = e.target.getLatLng();
			dump('client lat:  '+latlng.lat);
			dump('client lng:  '+latlng.lng);
			$("#task_lat").val( latlng.lat );
			$("#task_lng").val( latlng.lng );
		});
	}

};


/*PICKUP*/

var mapbox_p;
var mapbox_marker_p = [];
var mapbox_bounds_p = [];

mapbox_PlotMapPickup = function(div, lat , lng){
	
	if (mapbox_p != undefined) {		
		mapbox_p.remove();
	}
	if($('#'+div).exists()){
		mapbox_p = L.map(div,{
			scrollWheelZoom:true,
			zoomControl:true,
		}).setView([lat,lng], 5 );

		L.tileLayer('https://clusterapi.com/osm_tiles/{z}/{x}/{y}.png?access_token='+mapbox_token, {
			attribution: 'Hosted by <a target="_blank" href="https://clusterapi.com">Cluster API</a> &copy; <a href="https://openstreetmap.org">OpenStreetMap</a> contributors © <a target="_blank" href="https://www.creativos-online.com">Creativos Online S.A.</a>',
			maxZoom: 18,
			id: 'mapbox.streets',
		}).addTo(mapbox_p);
	}

};


mapbox_initGeocoderPickup = function(div){
		
	dump('mapbox_initGeocoderPickup');
	mapbox_marker_p = '';
	
	data = $("#"+div).html();	
	if(empty(data)){		
		var geocoder_p = new MapboxGeocoder({
		    accessToken: mapbox_token ,
		    country: default_country ,
		    flyTo : false
	    });		    
	    document.getElementById(div).appendChild(geocoder_p.onAdd(mapbox_p));	   
	    
	    $("#"+div +" input").attr("name","drop_address");
	    $("#"+div +" input").attr("id","drop_address");
	    $("#"+div +" input").attr("placeholder", jslang.address );	
	    $("#"+div +" input").attr("autocomplete","off");
	    //$("#"+div +" input").attr("required","required");
	    
	    geocoder_p.on('result', function(ev) {
             dump("ev.result.geometry");             
             resp_geocoder = ev.result.geometry;                                   
             lat = resp_geocoder.coordinates[1];
             lng = resp_geocoder.coordinates[0];
             
             if(empty(mapbox_marker_p)){             	
                mapbox_marker_p = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox_p);  
             } else {             	 
             	var newLatLng = new L.LatLng(lat, lng);
             	mapbox_marker_p.setLatLng(newLatLng); 
             }
             
             mapbox_setMapCenterPickup(lat , lng);
             
             $("#dropoff_task_lat").val( lat );
             $("#dropoff_task_lng").val( lng );
             
             mapbox_marker_p.on('dragend', function (e) {           			    
			    var latlng = e.target.getLatLng();
			    dump('c  lat:  '+latlng.lat);
             	dump('c  lng:  '+latlng.lng);
			    $("#dropoff_task_lat").val( latlng.lat );
                $("#dropoff_task_lng").val( latlng.lng );
			});
		             
        });
	    
	}
};

mapbox_setMapCenterPickup = function(lat, lng){
	mapbox_p.setView(new L.LatLng(lat, lng), 15);
};


mapbox_plotMarkerPickup = function(lat, lng){
	
	if(empty(lat) || empty(lng)){
		return;
	}
	if(empty(mapbox_marker_p)){             	
        mapbox_marker_p = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox_p);  
     } else {             	 
     	var newLatLng = new L.LatLng(lat, lng);
     	mapbox_marker_p.setLatLng(newLatLng); 
     }	
     mapbox_setMapCenterPickup(lat , lng);
     
     mapbox_marker_p.on('dragend', function (e) {           			    
	    var latlng = e.target.getLatLng();
     	dump(latlng.lat);
     	dump(latlng.lng);
	    $("#dropoff_task_lat").val( latlng.lat );
        $("#dropoff_task_lng").val( latlng.lng );
	 });
};

/*CONTACT MAP*/
mapbox_initGeocoderContact = function(div){
	
	mapbox_marker = '';
	
	data = $("#"+div).val();
	if(empty(data)){
		var geocoder = new MapboxGeocoder({
		    accessToken: mapbox_token ,
		    country: default_country ,
		    flyTo : false
	    });		    

	    geocoder.on('result', function(ev) {
             dump("ev.result.geometry");             
             resp_geocoder = ev.result.geometry;                                   
             lat = resp_geocoder.coordinates[1];
             lng = resp_geocoder.coordinates[0];
             
             if(empty(mapbox_marker)){             	
                mapbox_marker = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox);  
             } else {             	 
             	var newLatLng = new L.LatLng(lat, lng);
             	mapbox_marker.setLatLng(newLatLng); 
             }
             
             mapbox_setMapCenter(lat , lng);
             
             $("#addresss_lat").val( lat );
             $("#addresss_lng").val( lng );
             
             mapbox_marker.on('dragend', function (e) {	
             	var latlng = e.target.getLatLng();
             	dump('client lat:  '+latlng.lat);
             	dump('client lnng:  '+latlng.lng);
			    $("#addresss_lat").val( latlng.lat );
                $("#addresss_lng").val( latlng.lng );
				//get address
                 ajax_request_6 = $.ajax({
                     url: "https://nominatim.openstreetmap.org/reverse?format=jsonv2&lat="+latlng.lat+"&lon="+latlng.lng+"",
                     type: 'get',
                     //async: false,
                     dataType: 'json',
                     success: function (result) {
						nombre = result[0].name;
                        direccion = result[0].display_name;
                        $('#address').val(direccion);
                     }
                 });
         });
		             
        });
	    
	}
};

/*GUIDE MAP*/
mapbox_initGeocoderGuide = function(div){

	mapbox_marker = '';

	data = $("#"+div).val();
	if(empty(data)){
		var geocoder = new MapboxGeocoder({
			accessToken: mapbox_token ,
			country: default_country ,
			flyTo : false
		});

		geocoder.on('result', function(ev) {
			resp_geocoder = ev.result.geometry;
			lat = resp_geocoder.coordinates[1];
			lng = resp_geocoder.coordinates[0];

			if(empty(mapbox_marker)){
				mapbox_marker = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox);
			} else {
				var newLatLng = new L.LatLng(lat, lng);
				mapbox_marker.setLatLng(newLatLng);
			}

			mapbox_setMapCenter(lat , lng);

			$("#receiver_lat").val( lat );
			$("#receiver_lng").val( lng );

			mapbox_marker.on('dragend', function (e) {
				var latlng = e.target.getLatLng();
				$("#receiver_lat").val( latlng.lat );
				$("#receiver_lng").val( latlng.lng );
				//get address
				ajax_request_6 = $.ajax({
					url: "https://nominatim.openstreetmap.org/reverse?format=jsonv2&lat="+latlng.lat+"&lon="+latlng.lng+"",
					type: 'get',
					//async: false,
					dataType: 'json',
					success: function (result) {
						nombre = result[0].name;
						direccion = result[0].display_name;
						$('#receiver_address').val(direccion);
					}
				});
			});

		});

	}
};

mapbox_sender_initGeocoderGuide = function(div){

	mapbox_marker_sender = '';
	data = $("#"+div).val();
	if(empty(data)){
		var geocoder = new MapboxGeocoder({
			accessToken: mapbox_token ,
			country: default_country ,
			flyTo : false
		});

		geocoder.on('result', function(ev) {
			resp_geocoder = ev.result.geometry;
			lat = resp_geocoder.coordinates[1];
			lng = resp_geocoder.coordinates[0];

			if(empty(mapbox_marker_sender)){
				mapbox_marker_sender = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox_sender);
			} else {
				var newLatLng = new L.LatLng(lat, lng);
				mapbox_marker_sender.setLatLng(newLatLng);
			}

			mapbox_sender_setMapCenter(lat , lng);

			$("#contact_lat").val( lat );
			$("#contact_lng").val( lng );

			mapbox_marker_sender.on('dragend', function (e) {
				var latlng = e.target.getLatLng();
				$("#contact_lat").val( latlng.lat );
				$("#contact_lng").val( latlng.lng );
				//get address
				ajax_request_6 = $.ajax({
					url: "https://nominatim.openstreetmap.org/reverse?format=jsonv2&lat="+latlng.lat+"&lon="+latlng.lng+"",
					type: 'get',
					//async: false,
					dataType: 'json',
					success: function (result) {
						nombre = result[0].name;
						direccion = result[0].display_name;
						$('#sender_address').val(direccion);
					}
				});
			});

		});

	}
};

mapbox_plotMarkerContact = function(lat, lng){
	
	if(empty(lat) || empty(lng)){
		return;
	}
	if(empty(mapbox_marker)){             	
        mapbox_marker = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox);  
     } else {             	 
     	var newLatLng = new L.LatLng(lat, lng);
     	mapbox_marker.setLatLng(newLatLng); 
     }	
     mapbox_setMapCenter(lat , lng);
     
     mapbox_marker.on('dragend', function (e) {           			    
	    var latlng = e.target.getLatLng();
     	dump('client lat:  '+latlng.lat);
     	dump('client lnggg:  '+latlng.lng);
	    $("#addresss_lat").val( latlng.lat );
        $("#addresss_lng").val( latlng.lng );
         //get address
         ajax_request_6 = $.ajax({
             url: "https://nominatim.openstreetmap.org/reverse?format=jsonv2&lat="+latlng.lat+"&lon="+latlng.lng+"",
             type: 'get',
             //async: false,
             dataType: 'json',
             success: function (result) {
             	 console.log(result);
                 nombre = result.name;
                 direccion = result.display_name;
                 console.log(direccion);
                 $('#address').val(direccion);
             }
         });
	 });
};

mapbox_plotMarkerGuide = function(lat, lng){

	if(empty(lat) || empty(lng)){
		return;
	}
	if(empty(mapbox_marker)){
		mapbox_marker = L.marker([ lat , lng ], { draggable : true } ).addTo(mapbox);
	} else {
		var newLatLng = new L.LatLng(lat, lng);
		mapbox_marker.setLatLng(newLatLng);
	}
	mapbox_setMapCenter(lat , lng);

	mapbox_marker.on('dragend', function (e) {
		var latlng = e.target.getLatLng();

		$("#receiver_lat").val( latlng.lat );
		$("#receiver_lng").val( latlng.lng );
		//get address
		ajax_request_6 = $.ajax({
			url: "https://nominatim.openstreetmap.org/reverse?format=jsonv2&lat="+latlng.lat+"&lon="+latlng.lng+"",
			type: 'get',
			//async: false,
			dataType: 'json',
			success: function (result) {
				nombre = result.name;
				direccion = result.display_name;
				$('#receiver_address').val(direccion);
			}
		});
	});
};

mapbox_initGeocoderSearch = function(div){
		dump('searching addresss apiii');
	data = $("#"+div).html();		
	if(empty(data)){	
		var geocoder = new MapboxGeocoder({
		    accessToken: mapbox_token ,
		    country: default_country ,
		    flyTo : false
	    });		    
	    document.getElementById(div).appendChild(geocoder.onAdd(mapbox));	   
	    
	    $("#"+div +" input").attr("name","address");
	    $("#"+div +" input").attr("id","address");
	    $("#"+div +" input").attr("placeholder", jslang.delivery_address );	
	    $("#"+div +" input").attr("autocomplete","off");
	    $("#"+div +" input").attr("required","required");
	    
	    geocoder.on('result', function(ev) {
             dump("ev.result.geometry");             
             resp_geocoder = ev.result.geometry;                                   
             lat = resp_geocoder.coordinates[1];
             lng = resp_geocoder.coordinates[0];
             
             mapbox_setMapCenter(lat , lng);
                     
        });
	    
	} 	
};


/*LOCATION MAP*/

var mapbox_location;
var mapbox_marker_location;


mapbox_plotLocationMap = function(div, lat , lng){
	
	if (mapbox_location != undefined) {		
		mapbox_location.remove();
	}
	if($('#'+div).exists()){
		mapbox_location = L.map(div,{
			scrollWheelZoom:true,
			zoomControl:true,
		}).setView([lat,lng], 5 );

		L.tileLayer('https://clusterapi.com/osm_tiles/{z}/{x}/{y}.png?access_token='+mapbox_token, {
			attribution: 'Hosted by <a target="_blank" href="https://clusterapi.com">Cluster API</a> &copy; <a href="https://openstreetmap.org">OpenStreetMap</a> contributors © <a target="_blank" href="https://www.creativos-online.com">Creativos Online S.A.</a>',
			maxZoom: 18,
			id: 'mapbox.streets',
		}).addTo(mapbox_location);

		mapbox_marker_location = L.marker([lat,lng], {
			draggable:false
		} ).addTo(mapbox_location);

		mapbox_location.setView(new L.LatLng(lat, lng), 15);
	}

	
};


//diseñador de rutero
var map_designer = function(lat, lng) {
	// set map tile layer
	designermap = L.tileLayer(
		'https://clusterapi.com/osm_tiles/{z}/{x}/{y}.png',
		{
			attribution: 'Hosted by <a target="_blank" href="https://clusterapi.com">Cluster API</a> &copy; <a href="https://openstreetmap.org">OpenStreetMap</a> contributors © <a target="_blank" href="https://www.creativos-online.com">Creativos Online S.A.</a>',
			id: 'mapbox.streets'
		}
	);

	mapdesigner_obj = L.map('mapdesigner')
		.setView([-2.161598, -79.8995212], 13)
		.addLayer(designermap);

// mGroup.pm.enable();

	mapdesigner_obj.pm.addControls({
		drawMarker: true,
		drawPolygon: true,
		editPolygon: true,
		drawPolyline: true,
		deleteLayer: true,
	});
	mapdesigner_obj.pm.setPathOptions({
		color: 'orange',
		fillColor: 'green',
		fillOpacity: 0.4,
	});

	mapdesigner_obj.on('pm:globaleditmodetoggled', function(e) {
		// console.log(e);
	});

	const markerStyle = {
		opacity: 0.5,
		draggable: true,
	};

	mapdesigner_obj.on('pm:drawstart', function(e) {
		var layer = e.workingLayer;
		// console.log(layer);
		layer.on('pm:centerplaced', function(e) {
			// console.log(e);
		});
	});
	mapdesigner_obj.on('pm:create', function(e) {
		var layer = e.layer;
		console.log(layer);
		layer.on('pm:centerplaced', function(e) {
			console.log(e);
		});
	});

// Polygon Example

	const polygonLayer = L.polygon([
		[51.509, -0.08],
		[51.503, -0.06],
		[51.51, -0.047],
	])
		.addTo(mapdesigner_obj);

	polygonLayer.on('pm:update', function(e) {
		console.log(e);
	});

	polygonLayer.on('pm:intersect', function(e) {
		console.log(e);
	});

	mapdesigner_obj.pm.enableDraw('Polygon', { allowSelfIntersection: false });
	mapdesigner_obj.pm.disableDraw('Polygon');
	mapdesigner_obj.pm.enableDraw('Line', { allowSelfIntersection: false });
	mapdesigner_obj.pm.disableDraw('Line');

	mapdesigner_obj.on('pm:create', function(e) {
		e.layer.pm.enable({ allowSelfIntersection: false });
		//	  e.layer.pm.disable();
		console.log(e);

		e.layer.on('pm:markerdragend', function(e) {
			console.log(e);
		});

		e.layer.on('pm:update', function(e) {
			console.log(e);
		});

		e.layer.on('pm:cut', function(e) {
			console.log(e);
		});
	});

	mapdesigner_obj.on('pm:drawstart', function(e) {
		var layer = e.workingLayer;
		layer.on('pm:vertexadded', function(e) {
			console.log(e);
			console.log(e.workingLayer.pm.hasSelfIntersection());
		});
	});

	polygonLayer.on('pm:vertexadded', function(e) {
		// console.log(e);
	});
	polygonLayer.on('pm:vertexremoved', function(e) {
		// console.log(e);
	});

	polygonLayer.on('pm:markerdragstart', function(e) {
		// console.log(e);
	});
}